Debian Bug report logs - #612341
ITP: libjpeg-turbo -- an accelerated libjpeg library

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Vagrant Cascadian <vagrant@debian.org>

Date: Mon, 7 Feb 2011 21:21:01 UTC

Owned by: mike.gabriel@das-netzwerkteam.de

Severity: wishlist

Merged with 602034

Fixed in version libjpeg-turbo/1.2.90-1

Done: Mike Gabriel <sunweaver@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#612341; Package wnpp. (Mon, 07 Feb 2011 21:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vagrant Cascadian <vagrant@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Mon, 07 Feb 2011 21:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vagrant Cascadian <vagrant@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: libjpeg-turbo -- an accelerated libjpeg library
Date: Mon, 7 Feb 2011 13:19:18 -0800
Package: wnpp
Severity: wishlist

* Package name    : libjpeg-turbo
  Version         : 1.0.90
  Upstream Author : Name <somebody@example.org>
* URL             : http://libjpeg-turbo.virtualgl.org/
* License         : wxWindows Library License 3.1/LGPL/BSD
  Programming Lang: C
  Description     : an accelerated alternate libjpeg library

"libjpeg-turbo is a derivative of libjpeg for x86 and x86-64 processors which
uses SIMD instructions (MMX, SSE2, etc.) to accelerate baseline JPEG
compression and decompression. libjpeg-turbo is generally 2-4x as fast as the
unmodified version of libjpeg v6b, all else being equal."


it claims API/ABI compatibility with libjpeg, so may very well be able to be a
drop-in libjpeg replacement.


libjpeg-turbo seems to be actively developed (svn commits within the last 24
hours and a pre-release within the last month). Fedora 14 has also included
libjpeg-turbo, so it's in use by another major distribution:

  http://fedoraproject.org/wiki/Features/libjpeg-turbo


i might be able to help with the initial packaging, but am not really able to
commit to long-term package maintenance, hence the RFP.


live well,
  vagrant




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#612341; Package wnpp. (Mon, 18 Apr 2011 15:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ivan Baldo <ibaldo@adinet.com.uy>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 18 Apr 2011 15:57:07 GMT) Full text and rfc822 format available.

Message #10 received at 612341@bugs.debian.org (full text, mbox):

From: Ivan Baldo <ibaldo@adinet.com.uy>
To: 612341@bugs.debian.org
Subject: Re: RFP: libjpeg-turbo -- an accelerated libjpeg library
Date: Mon, 18 Apr 2011 12:54:37 -0300
    Hello.
    Please see #602034.
    Its not that simple, probably a switch could be done if/when 
libjpeg-turbo implements the features and ABI of version 8.
    Thanks!!!

-- 
Ivan Baldo - ibaldo@adinet.com.uy - http://ibaldo.codigolibre.net/
From Montevideo, Uruguay, at the south of South America.
Freelance programmer and GNU/Linux system administrator, hire me!
Alternatives: ibaldo@codigolibre.net - http://go.to/ibaldo





Owner recorded as Fathi Boudra <fabo@debian.org>. Request was from Fathi Boudra <fabo@debian.org> to control@bugs.debian.org. (Sat, 17 Sep 2011 06:31:33 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: libjpeg-turbo -- an accelerated libjpeg library' from 'RFP: libjpeg-turbo -- an accelerated libjpeg library' Request was from Fathi Boudra <fabo@debian.org> to control@bugs.debian.org. (Sat, 17 Sep 2011 06:31:38 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#612341; Package wnpp. (Mon, 19 Sep 2011 10:01:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fathi Boudra <fabo@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 19 Sep 2011 10:01:17 GMT) Full text and rfc822 format available.

Message #19 received at 612341@bugs.debian.org (full text, mbox):

From: Fathi Boudra <fabo@debian.org>
To: 612341@bugs.debian.org
Subject: ITP: libjpeg-turbo -- an accelerated libjpeg library
Date: Mon, 19 Sep 2011 12:29:13 +0300
Initial package available on:
http://people.debian.org/~fabo/libjpeg-turbo_1.1.90+svn704-1/




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fathi Boudra <fabo@debian.org>:
Bug#612341; Package wnpp. (Fri, 06 Jan 2012 21:24:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fathi Boudra <fabo@debian.org>. (Fri, 06 Jan 2012 21:24:25 GMT) Full text and rfc822 format available.

Message #24 received at 612341@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 612341@bugs.debian.org
Subject: Status of libjpeg-turbo ITP
Date: Fri, 06 Jan 2012 22:23:23 +0100
[Message part 1 (text/plain, inline)]
Hi Fabo,

can you say anything about the status of the libjpeg-turbo ITP? I have  
just placed an ITP for TigerVNC, but TigerVNC needs libjpeg-turbo.

Thanks for any information being given.
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, dorfstr. 27, 24245 barmissen
fon: +49 (4302) 281418, fax: +49 (4302) 281419

GnuPG Key ID 0xB588399B
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#612341; Package wnpp. (Fri, 06 Jan 2012 21:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fathi Boudra <fabo@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 06 Jan 2012 21:57:07 GMT) Full text and rfc822 format available.

Message #29 received at 612341@bugs.debian.org (full text, mbox):

From: Fathi Boudra <fabo@debian.org>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 612341@bugs.debian.org
Subject: Re: Bug#612341: Status of libjpeg-turbo ITP
Date: Fri, 6 Jan 2012 23:55:10 +0200
Hi,

On Fri, Jan 6, 2012 at 11:23 PM, Mike Gabriel wrote:
> Hi Fabo,
>
> can you say anything about the status of the libjpeg-turbo ITP? I have just
> placed an ITP for TigerVNC, but TigerVNC needs libjpeg-turbo.
>
> Thanks for any information being given.

It's ready to be uploaded. I need to enable libjpegv8 compatibility
and merge the upload on Ubuntu.
Guess that it will be in NEW in the next couple of days.

Cheers,

Fathi




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fathi Boudra <fabo@debian.org>:
Bug#612341; Package wnpp. (Sat, 07 Jan 2012 06:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fathi Boudra <fabo@debian.org>. (Sat, 07 Jan 2012 06:54:03 GMT) Full text and rfc822 format available.

Message #34 received at 612341@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Fathi Boudra <fabo@debian.org>
Cc: 612341@bugs.debian.org
Subject: Re: Bug#612341: Status of libjpeg-turbo ITP
Date: Sat, 07 Jan 2012 07:50:36 +0100
[Message part 1 (text/plain, inline)]
Hi Fathi,

On Fr 06 Jan 2012 22:55:10 CET Fathi Boudra wrote:

> Hi,
>
> On Fri, Jan 6, 2012 at 11:23 PM, Mike Gabriel wrote:
>> Hi Fabo,
>>
>> can you say anything about the status of the libjpeg-turbo ITP? I have just
>> placed an ITP for TigerVNC, but TigerVNC needs libjpeg-turbo.
>>
>> Thanks for any information being given.
>
> It's ready to be uploaded. I need to enable libjpegv8 compatibility
> and merge the upload on Ubuntu.
> Guess that it will be in NEW in the next couple of days.
>
> Cheers,
>
> Fathi
>

This is good news. It would be really great if libjpeg-turbo would be  
available in Debian sid or experimental within the next couple of  
weeks!!! Please keep me posted (via this BTS issue). Thanks!

Greets+thanks,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, dorfstr. 27, 24245 barmissen
fon: +49 (4302) 281418, fax: +49 (4302) 281419

GnuPG Key ID 0xB588399B
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fathi Boudra <fabo@debian.org>:
Bug#612341; Package wnpp. (Mon, 30 Jan 2012 08:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fathi Boudra <fabo@debian.org>. (Mon, 30 Jan 2012 08:15:08 GMT) Full text and rfc822 format available.

Message #39 received at 612341@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 612341@bugs.debian.org
Subject: libjpeg8 enabled version of libjpeg-turbo
Date: Mon, 30 Jan 2012 09:12:36 +0100
[Message part 1 (text/plain, inline)]
Hi Fathi,

under this link you find a libjpeg-turbo Git that provides packages  
with libjpeg8 API mode being enabled:
http://code.x2go.org/gitweb?p=libjpeg-turbo.git;a=summary

Feel free to cherry-pick & rebase from there...

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, dorfstr. 27, 24245 barmissen
fon: +49 (4302) 281418, fax: +49 (4302) 281419

GnuPG Key ID 0xB588399B
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fathi Boudra <fabo@debian.org>:
Bug#612341; Package wnpp. (Sat, 12 May 2012 13:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <malat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fathi Boudra <fabo@debian.org>. (Sat, 12 May 2012 13:57:07 GMT) Full text and rfc822 format available.

Message #44 received at 612341@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: 612341@bugs.debian.org
Date: Sat, 12 May 2012 15:53:34 +0200
Any update on this ITP ?

I am trying to get it to build/install on my debian stable but it fails with:

$ sudo dpkg -i ../libjpeg-turbo8_1.1.90+svn704-1+x2go1_amd64.deb
Selecting previously deselected package libjpeg-turbo8.
(Reading database ... 231169 files and directories currently installed.)
Unpacking libjpeg-turbo8 (from
.../libjpeg-turbo8_1.1.90+svn704-1+x2go1_amd64.deb) ...
DEB_HOST_MULTIARCH is not a supported variable name at
/usr/bin/dpkg-architecture line 226.
dpkg: error processing
../libjpeg-turbo8_1.1.90+svn704-1+x2go1_amd64.deb (--install):
 subprocess new pre-installation script returned error exit status 9
DEB_HOST_MULTIARCH is not a supported variable name at
/usr/bin/dpkg-architecture line 226.
dpkg: error while cleaning up:
 subprocess new post-removal script returned error exit status 9
Errors were encountered while processing:
 ../libjpeg-turbo8_1.1.90+svn704-1+x2go1_amd64.deb


It would be nice to have it in debian.

Thanks,




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fathi Boudra <fabo@debian.org>:
Bug#612341; Package wnpp. (Sat, 12 May 2012 14:03:36 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <malat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fathi Boudra <fabo@debian.org>. (Sat, 12 May 2012 14:03:38 GMT) Full text and rfc822 format available.

Message #49 received at 612341@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: 612341 <612341@bugs.debian.org>
Subject: Add -dev package
Date: Sat, 12 May 2012 15:58:46 +0200
It would be super nice of there was also a libjpeg-turbo-dev package
which would provide turbojpeg.h. This file is exepcted for some other
software, including virtuagl:


-- Found OpenGL: /usr/lib/libGL.so
-- Enabling X Video support
CMake Error at cmakescripts/FindTurboJPEG.cmake:23 (message):
  Could not find turbojpeg.h in /opt/libjpeg-turbo/include.  If it is
  installed in a different place, then set TJPEG_INCLUDE_DIR accordingly.
Call Stack (most recent call first):
  CMakeLists.txt:255 (include)


-- Configuring incomplete, errors occurred!
make[1]: *** [override_dh_auto_configure] Error 1
make[1]: Leaving directory `/tmp/virtualgl-2.3.1'


where:

$ cat cmakescripts/FindTurboJPEG.cmake
...
check_c_source_compiles("#include <turbojpeg.h>\nint main(void) {
tjhandle h=tjInitCompress(); return 0; }" TURBOJPEG_WORKS)


thanks




Added indication that bug 612341 blocks 659440 Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Fri, 18 May 2012 16:06:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fathi Boudra <fabo@debian.org>:
Bug#612341; Package wnpp. (Sat, 26 May 2012 15:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fathi Boudra <fabo@debian.org>. (Sat, 26 May 2012 15:18:04 GMT) Full text and rfc822 format available.

Message #56 received at 612341@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: 612341@bugs.debian.org
Cc: Fathi Boudra <fabo@debian.org>, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, Mathieu Malaterre <malat@debian.org>, Ivan Baldo <ibaldo@adinet.com.uy>, Igor Urazov <z0rc3r@gmail.com>
Subject: bumblebee, libjpeg-turbo: Wheezy does not work well with modern notebook PCs.
Date: Sun, 27 May 2012 00:11:02 +0900
Hi,

This ITP Bug #612341 was supposed to be closed by Fathi sometime early
January.  Nothing happened.  http://bugs.debian.org/612341

In the meantime, Ubuntu package was updated to generate -dev etc.
 https://launchpad.net/ubuntu/+source/libjpeg-turbo

libjpeg-turbo (1.1.90+svn733-0ubuntu4) precise; urgency=low

  * Install jpegint.h in the -dev package.
  * Install jconfig.h in the multiarch include directory.
 -- Matthias Klose <email address hidden>   Fri, 13 Jan 2012 12:02:38 +0100

This package can be build on sid (under pbuilder) nicely practically as
is and also makes libjpeg-turbo8.  So ABI of version 8 is taken care as
I understand.

Also, Mike Gabriel's work seems to have done somethings interesting on
old Fathi's version and made many improvements.

Concurrently, upstream has released newer libjpeg-turbo-1.2.0.tar.gz

So I do not understand why this is not uploaded.  This is blocking
bumblebee support for wheezy.  This makes the next Debian Wheezy
non-optimal for many modern notebook PC users since this is blocking
bumblebee upload.
 https://github.com/Bumblebee-Project/Bumblebee/wiki/FAQ

It seems touching up Ubuntu package seems to be the simplest thing to
get this package into Debian before FREEZE (JUNE!).

Once this is done, all other required pieces are in Ubuntu
 https://launchpad.net/~bumblebee
 https://launchpad.net/~bumblebee/+archive/stable/+packages?field.name_filter=&field.status_filter=published&field.series_filter=precise

For Debian, http://suwako.nomanga.net/ is good archive.  It works.  (I
can not find source package for the virtualgl package here but above
Ubuntu site has it anyway.)  I am using this package but wish to get it
into Debian.

Since no action has been taken for many months and FREEZE is coming, I
hope Fathi does not mind someone else uploading this package and get
things moving.

Any thoughts?

Regards,

Osamu




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fathi Boudra <fabo@debian.org>:
Bug#612341; Package wnpp. (Sat, 26 May 2012 16:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fathi Boudra <fabo@debian.org>. (Sat, 26 May 2012 16:33:06 GMT) Full text and rfc822 format available.

Message #61 received at 612341@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Osamu Aoki <osamu@debian.org>
Cc: 612341@bugs.debian.org, Fathi Boudra <fabo@debian.org>, Mathieu Malaterre <malat@debian.org>, Ivan Baldo <ibaldo@adinet.com.uy>, Igor Urazov <z0rc3r@gmail.com>
Subject: Re: bumblebee, libjpeg-turbo: Wheezy does not work well with modern notebook PCs.
Date: Sat, 26 May 2012 18:31:46 +0200
[Message part 1 (text/plain, inline)]
Hi all,

On Sa 26 Mai 2012 17:11:02 CEST Osamu Aoki wrote:

> This ITP Bug #612341 was supposed to be closed by Fathi sometime early
> January.  Nothing happened.  http://bugs.debian.org/612341
>
> In the meantime, Ubuntu package was updated to generate -dev etc.
>  https://launchpad.net/ubuntu/+source/libjpeg-turbo
>
> libjpeg-turbo (1.1.90+svn733-0ubuntu4) precise; urgency=low
>
>   * Install jpegint.h in the -dev package.
>   * Install jconfig.h in the multiarch include directory.
>  -- Matthias Klose <email address hidden>   Fri, 13 Jan 2012 12:02:38 +0100
>
> This package can be build on sid (under pbuilder) nicely practically as
> is and also makes libjpeg-turbo8.  So ABI of version 8 is taken care as
> I understand.
>
> Also, Mike Gabriel's work seems to have done somethings interesting on
> old Fathi's version and made many improvements.

thanks for pinging us! I agree, libjpeg-turbo has to be in Wheezy!!!

Fathi, please send us a notice what you plan on this package.

Thanks,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0xB588399B
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fathi Boudra <fabo@debian.org>:
Bug#612341; Package wnpp. (Sat, 26 May 2012 16:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fathi Boudra <fabo@debian.org>. (Sat, 26 May 2012 16:39:03 GMT) Full text and rfc822 format available.

Message #66 received at 612341@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: 612341@bugs.debian.org
Subject: updated debian/patches for 1.2.0
Date: Sun, 27 May 2012 01:37:08 +0900
[Message part 1 (text/plain, inline)]
This is FYI:

Migrating from Ubuntu to Debian require us to make trivial updates on
changelog and control.

Here is updated debian/patches file with unfuzzy and manual merging.

This builds OK.

Osamu
[add-copying-for-debian-dir.patch (text/x-diff, attachment)]
[FixLibraryStartup.patch (text/x-diff, attachment)]
[tjunittest.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fathi Boudra <fabo@debian.org>:
Bug#612341; Package wnpp. (Sat, 26 May 2012 18:39:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fathi Boudra <fabo@debian.org>. (Sat, 26 May 2012 18:39:12 GMT) Full text and rfc822 format available.

Message #71 received at 612341@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 612341@bugs.debian.org, Fathi Boudra <fabo@debian.org>, Mathieu Malaterre <malat@debian.org>, Ivan Baldo <ibaldo@adinet.com.uy>, Igor Urazov <z0rc3r@gmail.com>, ballombe@debian.org
Subject: Re: bumblebee, libjpeg-turbo: Wheezy does not work well with modern notebook PCs.
Date: Sun, 27 May 2012 03:34:39 +0900
Hi,

On Sat, May 26, 2012 at 06:31:46PM +0200, Mike Gabriel wrote:
> Hi all,
> 
> On Sa 26 Mai 2012 17:11:02 CEST Osamu Aoki wrote:
> 
> >This ITP Bug #612341 was supposed to be closed by Fathi sometime early
> >January.  Nothing happened.  http://bugs.debian.org/612341
> >
> >In the meantime, Ubuntu package was updated to generate -dev etc.
> > https://launchpad.net/ubuntu/+source/libjpeg-turbo
> >
> >libjpeg-turbo (1.1.90+svn733-0ubuntu4) precise; urgency=low
> >
> >  * Install jpegint.h in the -dev package.
> >  * Install jconfig.h in the multiarch include directory.
> > -- Matthias Klose <email address hidden>   Fri, 13 Jan 2012 12:02:38 +0100
> >
> >This package can be build on sid (under pbuilder) nicely practically as
> >is and also makes libjpeg-turbo8.  So ABI of version 8 is taken care as
> >I understand.
> >
> >Also, Mike Gabriel's work seems to have done somethings interesting on
> >old Fathi's version and made many improvements.
>
> thanks for pinging us! I agree, libjpeg-turbo has to be in Wheezy!!!
> 
> Fathi, please send us a notice what you plan on this package.

I see Fathi being quite active.

I have made packages for libjpeg-turbo 1.2.0.  It builds OK.  (Not much
useful to replace current libjpeg due to conflicts caused with many
packages.  But who cares if it is used in the chroot to build virtualgl
:-)   But I am not really up to maintaining this complicated package.

My build result and git record are here as tar:
 http://people.debian.org/~osamu/libjpeg-turbo-1.2.0-osamu.tar.gz

Since -dev package is the only ones desparatedly needed, ... This is the
most important thing to get now.

Maybe in post-wheezy, people can discuss transition from libjpeg to
libjpeg-turbo.  This package is very tricky since it tries to replace
libjpeg.

Regards,

Osamu

CCed: Bill who is libjpeg maintainer. 





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fathi Boudra <fabo@debian.org>:
Bug#612341; Package wnpp. (Sun, 27 May 2012 08:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <malat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fathi Boudra <fabo@debian.org>. (Sun, 27 May 2012 08:45:03 GMT) Full text and rfc822 format available.

Message #76 received at 612341@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: Osamu Aoki <osamu@debian.org>
Cc: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 612341@bugs.debian.org, Fathi Boudra <fabo@debian.org>, Ivan Baldo <ibaldo@adinet.com.uy>, Igor Urazov <z0rc3r@gmail.com>, ballombe@debian.org
Subject: Re: bumblebee, libjpeg-turbo: Wheezy does not work well with modern notebook PCs.
Date: Sun, 27 May 2012 10:43:39 +0200
Hi there,

On Sat, May 26, 2012 at 8:34 PM, Osamu Aoki <osamu@debian.org> wrote:
> Hi,
>
> On Sat, May 26, 2012 at 06:31:46PM +0200, Mike Gabriel wrote:
>> Hi all,
>>
>> On Sa 26 Mai 2012 17:11:02 CEST Osamu Aoki wrote:
>>
>> >This ITP Bug #612341 was supposed to be closed by Fathi sometime early
>> >January.  Nothing happened.  http://bugs.debian.org/612341
>> >
>> >In the meantime, Ubuntu package was updated to generate -dev etc.
>> > https://launchpad.net/ubuntu/+source/libjpeg-turbo
>> >
>> >libjpeg-turbo (1.1.90+svn733-0ubuntu4) precise; urgency=low
>> >
>> >  * Install jpegint.h in the -dev package.
>> >  * Install jconfig.h in the multiarch include directory.
>> > -- Matthias Klose <email address hidden>   Fri, 13 Jan 2012 12:02:38 +0100
>> >
>> >This package can be build on sid (under pbuilder) nicely practically as
>> >is and also makes libjpeg-turbo8.  So ABI of version 8 is taken care as
>> >I understand.
>> >
>> >Also, Mike Gabriel's work seems to have done somethings interesting on
>> >old Fathi's version and made many improvements.
>>
>> thanks for pinging us! I agree, libjpeg-turbo has to be in Wheezy!!!
>>
>> Fathi, please send us a notice what you plan on this package.
>
> I see Fathi being quite active.
>
> I have made packages for libjpeg-turbo 1.2.0.  It builds OK.  (Not much
> useful to replace current libjpeg due to conflicts caused with many
> packages.  But who cares if it is used in the chroot to build virtualgl
> :-)   But I am not really up to maintaining this complicated package.
>
> My build result and git record are here as tar:
>  http://people.debian.org/~osamu/libjpeg-turbo-1.2.0-osamu.tar.gz
>
> Since -dev package is the only ones desparatedly needed, ... This is the
> most important thing to get now.
>
> Maybe in post-wheezy, people can discuss transition from libjpeg to
> libjpeg-turbo.  This package is very tricky since it tries to replace
> libjpeg.
>
> Regards,
>
> Osamu
>
> CCed: Bill who is libjpeg maintainer.

As far as I know libjpeg is not really concerned here. virtualgl only
links to libturbojpeg. So there really are two issues in a single
report:
1. optimized jpeg lib, as a replacement for libjpeg8
2. getting bumblebeed/virtualgl/turbojpeg(only) in debian

Maybe it would be easier to only focus on (2) ?

2cts
-M




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fathi Boudra <fabo@debian.org>:
Bug#612341; Package wnpp. (Sun, 27 May 2012 14:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fathi Boudra <fabo@debian.org>. (Sun, 27 May 2012 14:42:04 GMT) Full text and rfc822 format available.

Message #81 received at 612341@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Osamu Aoki <osamu@debian.org>
Cc: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 612341@bugs.debian.org, Fathi Boudra <fabo@debian.org>, Mathieu Malaterre <malat@debian.org>, Ivan Baldo <ibaldo@adinet.com.uy>, Igor Urazov <z0rc3r@gmail.com>, ballombe@debian.org
Subject: Re: bumblebee, libjpeg-turbo: Wheezy does not work well with modern notebook PCs.
Date: Sun, 27 May 2012 16:40:08 +0200
On Sun, May 27, 2012 at 03:34:39AM +0900, Osamu Aoki wrote:
> Hi,
> 
> On Sat, May 26, 2012 at 06:31:46PM +0200, Mike Gabriel wrote:
> > Hi all,
> > 
> > On Sa 26 Mai 2012 17:11:02 CEST Osamu Aoki wrote:
> > 
> > >This ITP Bug #612341 was supposed to be closed by Fathi sometime early
> > >January.  Nothing happened.  http://bugs.debian.org/612341
> > >
> > >In the meantime, Ubuntu package was updated to generate -dev etc.
> > > https://launchpad.net/ubuntu/+source/libjpeg-turbo
> > >
> > >libjpeg-turbo (1.1.90+svn733-0ubuntu4) precise; urgency=low
> > >
> > >  * Install jpegint.h in the -dev package.
> > >  * Install jconfig.h in the multiarch include directory.
> > > -- Matthias Klose <email address hidden>   Fri, 13 Jan 2012 12:02:38 +0100
> > >
> > >This package can be build on sid (under pbuilder) nicely practically as
> > >is and also makes libjpeg-turbo8.  So ABI of version 8 is taken care as
> > >I understand.

Does libjpeg-turbo8 implement the full v8 API ? As far as I understand some functions
are stub.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fathi Boudra <fabo@debian.org>:
Bug#612341; Package wnpp. (Sun, 27 May 2012 16:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fathi Boudra <fabo@debian.org>. (Sun, 27 May 2012 16:36:05 GMT) Full text and rfc822 format available.

Message #86 received at 612341@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: Mathieu Malaterre <malat@debian.org>, ballombe@debian.org
Cc: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 612341@bugs.debian.org, Fathi Boudra <fabo@debian.org>, Ivan Baldo <ibaldo@adinet.com.uy>, Igor Urazov <z0rc3r@gmail.com>
Subject: Re: bumblebee, libjpeg-turbo: Wheezy does not work well with modern notebook PCs.
Date: Mon, 28 May 2012 01:33:58 +0900
Hi,

On Sun, May 27, 2012 at 10:43:39AM +0200, Mathieu Malaterre wrote:
> Hi there,
...
> > CCed: Bill who is libjpeg maintainer.
> 
> As far as I know libjpeg is not really concerned here. virtualgl only
> links to libturbojpeg. So there really are two issues in a single
> report:
> 1. optimized jpeg lib, as a replacement for libjpeg8
> 2. getting bumblebeed/virtualgl/turbojpeg(only) in debian
> 
> Maybe it would be easier to only focus on (2) ?

YES.

If you are more capable than me, you can copy required sources to
virtualgl via debian/* and build it without requiring non-exisiong
packahes.  Do you have patch to address this in a short notice?

For a person like me with less capability, uploads this package to
provide required packages seems to be the easiest thing to do.
build-depens on static library is not so complicated for binary image.
I know it is not so useful for most wheesy system but this is useful in
chroot.

> Does libjpeg-turbo8 implement the full v8 API ? As far as I understand
> some functions are stub.

I do not know.  For now, we only nned -dev package for building package
with static library and *.h files.  Fow wheesy, no one here, I expect to
remove old  libjpeg8.  We just need to build virtualgl.

Regards,

Osamu




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#612341; Package wnpp. (Tue, 29 May 2012 16:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fathi Boudra <fabo@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 29 May 2012 16:30:02 GMT) Full text and rfc822 format available.

Message #91 received at 612341@bugs.debian.org (full text, mbox):

From: Fathi Boudra <fabo@debian.org>
To: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>, 612341@bugs.debian.org
Cc: Osamu Aoki <osamu@debian.org>, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, Mathieu Malaterre <malat@debian.org>, Ivan Baldo <ibaldo@adinet.com.uy>, Igor Urazov <z0rc3r@gmail.com>, ballombe@debian.org
Subject: Re: Bug#612341: bumblebee, libjpeg-turbo: Wheezy does not work well with modern notebook PCs.
Date: Tue, 29 May 2012 19:27:35 +0300
Hi Bill,

On Sun, May 27, 2012 at 5:40 PM, Bill Allombert wrote:
> Does libjpeg-turbo8 implement the full v8 API ? As far as I understand some functions
> are stub.

I'm not sure it's relevant anymore. All major distro have switched to LJT.
Ubuntu is using it by default and no issues were found that can prove
v8 API incompatibility.

Cheers,

Fathi




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#612341; Package wnpp. (Tue, 29 May 2012 16:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fathi Boudra <fabo@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 29 May 2012 16:39:06 GMT) Full text and rfc822 format available.

Message #96 received at 612341@bugs.debian.org (full text, mbox):

From: Fathi Boudra <fabo@debian.org>
To: Osamu Aoki <osamu@debian.org>, 612341@bugs.debian.org
Cc: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, Mathieu Malaterre <malat@debian.org>, Ivan Baldo <ibaldo@adinet.com.uy>, Igor Urazov <z0rc3r@gmail.com>, ballombe@debian.org
Subject: Re: Bug#612341: bumblebee, libjpeg-turbo: Wheezy does not work well with modern notebook PCs.
Date: Tue, 29 May 2012 19:36:12 +0300
On Sat, May 26, 2012 at 9:34 PM, Osamu Aoki <osamu@debian.org> wrote:
>> >Also, Mike Gabriel's work seems to have done somethings interesting on
>> >old Fathi's version and made many improvements.
>>
>> thanks for pinging us! I agree, libjpeg-turbo has to be in Wheezy!!!
>>
>> Fathi, please send us a notice what you plan on this package.
>
> I see Fathi being quite active.

Yes, I am. Apologies, I've been quite busy on other front and put LJT
as a low prio.

AFAIR, current Ubuntu package wasn't suitable to be uploaded as-is.
I'm at Linaro Connect this week with Tom Gall and Doko, I'll sync up
with them and upload the package if everything alright.

Sounds like many people are interested. LJT is a good candidate for
collab-maint on git.debian.org :)

Cheers,

Fathi




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fathi Boudra <fabo@debian.org>:
Bug#612341; Package wnpp. (Tue, 29 May 2012 19:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fathi Boudra <fabo@debian.org>. (Tue, 29 May 2012 19:09:03 GMT) Full text and rfc822 format available.

Message #101 received at 612341@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Fathi Boudra <fabo@debian.org>
Cc: Osamu Aoki <osamu@debian.org>, 612341@bugs.debian.org, Mathieu Malaterre <malat@debian.org>, Ivan Baldo <ibaldo@adinet.com.uy>, Igor Urazov <z0rc3r@gmail.com>, ballombe@debian.org
Subject: Re: Bug#612341: bumblebee, libjpeg-turbo: Wheezy does not work well with modern notebook PCs.
Date: Tue, 29 May 2012 21:07:51 +0200
[Message part 1 (text/plain, inline)]
Hi Fathi,

On Di 29 Mai 2012 18:36:12 CEST Fathi Boudra wrote:

> Sounds like many people are interested. LJT is a good candidate for
> collab-maint on git.debian.org :)

Good idea. Please relocate the packaging Git so that we can work  
together on this.

Greets,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0xB588399B
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fathi Boudra <fabo@debian.org>:
Bug#612341; Package wnpp. (Tue, 29 May 2012 20:12:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fathi Boudra <fabo@debian.org>. (Tue, 29 May 2012 20:12:10 GMT) Full text and rfc822 format available.

Message #106 received at 612341@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Fathi Boudra <fabo@debian.org>
Cc: 612341@bugs.debian.org, Osamu Aoki <osamu@debian.org>, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, Mathieu Malaterre <malat@debian.org>, Ivan Baldo <ibaldo@adinet.com.uy>, Igor Urazov <z0rc3r@gmail.com>, ballombe@debian.org
Subject: Re: Bug#612341: bumblebee, libjpeg-turbo: Wheezy does not work well with modern notebook PCs.
Date: Tue, 29 May 2012 21:53:16 +0200
On Tue, May 29, 2012 at 07:27:35PM +0300, Fathi Boudra wrote:
> Hi Bill,
> 
> On Sun, May 27, 2012 at 5:40 PM, Bill Allombert wrote:
> > Does libjpeg-turbo8 implement the full v8 API ? As far as I understand some functions
> > are stub.
> 
> I'm not sure it's relevant anymore. All major distro have switched to LJT.
> Ubuntu is using it by default and no issues were found that can prove
> v8 API incompatibility.

I am surprised you do not count Debian as a major distro.
Does libjpeg-progs works correctly with LJT ?

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fathi Boudra <fabo@debian.org>:
Bug#612341; Package wnpp. (Tue, 29 May 2012 20:12:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fathi Boudra <fabo@debian.org>. (Tue, 29 May 2012 20:12:12 GMT) Full text and rfc822 format available.

Message #111 received at 612341@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
Cc: Fathi Boudra <fabo@debian.org>, 612341@bugs.debian.org, Osamu Aoki <osamu@debian.org>, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, Ivan Baldo <ibaldo@adinet.com.uy>, Igor Urazov <z0rc3r@gmail.com>, ballombe@debian.org, Guido Vollbeding <guido@jpegclub.org>
Subject: Re: Bug#612341: bumblebee, libjpeg-turbo: Wheezy does not work well with modern notebook PCs.
Date: Tue, 29 May 2012 22:04:03 +0200
Guido,

  Sorry to make you jump in the middle of this thread. We are
discussing compatibilities issues in between LJT (lib JPEG Turbo) and
the official IJG distribution. The whole thread can be seen here:

http://bugs.debian.org/612341

  Do you have any particular comments on LJT ? From a pure debian
point of view, I believe the vast majority of people are still only
looking for 8bits implementation of ITU-T T.81, ISO/IEC IS 10918-1.

Thanks for your comments,

On Tue, May 29, 2012 at 9:53 PM, Bill Allombert
<Bill.Allombert@math.u-bordeaux1.fr> wrote:
> On Tue, May 29, 2012 at 07:27:35PM +0300, Fathi Boudra wrote:
>> Hi Bill,
>>
>> On Sun, May 27, 2012 at 5:40 PM, Bill Allombert wrote:
>> > Does libjpeg-turbo8 implement the full v8 API ? As far as I understand some functions
>> > are stub.
>>
>> I'm not sure it's relevant anymore. All major distro have switched to LJT.
>> Ubuntu is using it by default and no issues were found that can prove
>> v8 API incompatibility.
>
> I am surprised you do not count Debian as a major distro.
> Does libjpeg-progs works correctly with LJT ?
>
> Cheers,
> --
> Bill. <ballombe@debian.org>
>
> Imagine a large red swirl here.



-- 
Mathieu




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fathi Boudra <fabo@debian.org>:
Bug#612341; Package wnpp. (Tue, 29 May 2012 22:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guido Vollbeding <guido@jpegclub.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fathi Boudra <fabo@debian.org>. (Tue, 29 May 2012 22:21:02 GMT) Full text and rfc822 format available.

Message #116 received at 612341@bugs.debian.org (full text, mbox):

From: Guido Vollbeding <guido@jpegclub.org>
To: Mathieu Malaterre <mathieu.malaterre@gmail.com>
Cc: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>, Fathi Boudra <fabo@debian.org>, 612341@bugs.debian.org, Osamu Aoki <osamu@debian.org>, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, Ivan Baldo <ibaldo@adinet.com.uy>, Igor Urazov <z0rc3r@gmail.com>, ballombe@debian.org
Subject: Re: Bug#612341: bumblebee, libjpeg-turbo: Wheezy does not work well with modern notebook PCs.
Date: Wed, 30 May 2012 00:15:15 +0200
Hello Mathieu

Thank you for question.
libjpeg is reference code, not faulty patchwork.
Everything is said in the README:

  There are currently distributions in circulation containing the name
  "libjpeg" which claim to be a "derivative" or "fork" of the original
  libjpeg, but don't have the features and are incompatible with formats
  supported by actual IJG libjpeg distributions.  Furthermore, they
  violate the license conditions as described under LEGAL ISSUES above.
  We have no sympathy for the release of misleading and illegal
  distributions derived from obsolete code bases.
  Don't use an obsolete code base!

I mean, the original README in libjpeg, not that in the patchwork you
are talking about, which is one of the license violations.

It seems that Bill Allombert is still one of the few sane people out
there, many others have apparently gone mad.
I don't care for the ignorant people.

You may of course make a "turbo" version, I have nothing against it,
but NOT in the way mentioned.  Take libjpeg with its current features
and make it "turbo" - that would be wonderful!

> From a pure debian
> point of view, I believe the vast majority of people are still only
> looking for 8bits implementation of ITU-T T.81, ISO/IEC IS 10918-1.

That is not the point.
libjpeg is still 8bits only in its default configuration, as it always
was.  Nothing was changed there.  But I'm working on ADDING features,
not REMOVING ones.
We are now on the way to release 9, and T.81/10918-1 is far left behind
already, for those who care.

Regards
Guido Vollbeding
Organizer Independent JPEG Group




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#612341; Package wnpp. (Wed, 30 May 2012 04:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fathi Boudra <fabo@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 30 May 2012 04:03:03 GMT) Full text and rfc822 format available.

Message #121 received at 612341@bugs.debian.org (full text, mbox):

From: Fathi Boudra <fabo@debian.org>
To: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
Cc: 612341@bugs.debian.org, Osamu Aoki <osamu@debian.org>, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, Mathieu Malaterre <malat@debian.org>, Ivan Baldo <ibaldo@adinet.com.uy>, Igor Urazov <z0rc3r@gmail.com>, ballombe@debian.org
Subject: Re: Bug#612341: bumblebee, libjpeg-turbo: Wheezy does not work well with modern notebook PCs.
Date: Wed, 30 May 2012 06:58:40 +0300
On Tue, May 29, 2012 at 10:53 PM, Bill Allombert
<Bill.Allombert@math.u-bordeaux1.fr> wrote:
> I am surprised you do not count Debian as a major distro.
> Does libjpeg-progs works correctly with LJT ?

That's my point. Debian is the only one that haven't switched yet :)
Yes, LJT works with libjpeg-progs.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#612341; Package wnpp. (Wed, 30 May 2012 04:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fathi Boudra <fabo@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 30 May 2012 04:09:03 GMT) Full text and rfc822 format available.

Message #126 received at 612341@bugs.debian.org (full text, mbox):

From: Fathi Boudra <fabo@debian.org>
To: Guido Vollbeding <guido@jpegclub.org>, 612341@bugs.debian.org
Cc: Mathieu Malaterre <mathieu.malaterre@gmail.com>, Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>, Osamu Aoki <osamu@debian.org>, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, Ivan Baldo <ibaldo@adinet.com.uy>, Igor Urazov <z0rc3r@gmail.com>, ballombe@debian.org
Subject: Re: Bug#612341: bumblebee, libjpeg-turbo: Wheezy does not work well with modern notebook PCs.
Date: Wed, 30 May 2012 07:06:07 +0300
On Wed, May 30, 2012 at 1:15 AM, Guido Vollbeding <guido@jpegclub.org> wrote:
> Hello Mathieu
>
> Thank you for question.
> libjpeg is reference code, not faulty patchwork.
> Everything is said in the README:
>
>  There are currently distributions in circulation containing the name
>  "libjpeg" which claim to be a "derivative" or "fork" of the original
>  libjpeg, but don't have the features and are incompatible with formats
>  supported by actual IJG libjpeg distributions.  Furthermore, they
>  violate the license conditions as described under LEGAL ISSUES above.
>  We have no sympathy for the release of misleading and illegal
>  distributions derived from obsolete code bases.
>  Don't use an obsolete code base!
>
> I mean, the original README in libjpeg, not that in the patchwork you
> are talking about, which is one of the license violations.
>
> It seems that Bill Allombert is still one of the few sane people out
> there, many others have apparently gone mad.
> I don't care for the ignorant people.
>
> You may of course make a "turbo" version, I have nothing against it,
> but NOT in the way mentioned.  Take libjpeg with its current features
> and make it "turbo" - that would be wonderful!

For reference: http://www.libjpeg-turbo.org/About/FUD
As we can see, "the other camp" doesn't agree.
I would like to avoid political/legal/off-topic discussions that
doesn't belong to this bug report or LJT ITP. Thanks.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fathi Boudra <fabo@debian.org>:
Bug#612341; Package wnpp. (Wed, 30 May 2012 08:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guido Vollbeding <guido@jpegclub.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fathi Boudra <fabo@debian.org>. (Wed, 30 May 2012 08:00:03 GMT) Full text and rfc822 format available.

Message #131 received at 612341@bugs.debian.org (full text, mbox):

From: Guido Vollbeding <guido@jpegclub.org>
To: Fathi Boudra <fabo@debian.org>
Cc: 612341@bugs.debian.org, Mathieu Malaterre <mathieu.malaterre@gmail.com>, Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>, Osamu Aoki <osamu@debian.org>, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, Ivan Baldo <ibaldo@adinet.com.uy>, Igor Urazov <z0rc3r@gmail.com>, ballombe@debian.org
Subject: Re: Bug#612341: bumblebee, libjpeg-turbo: Wheezy does not work well with modern notebook PCs.
Date: Wed, 30 May 2012 09:55:06 +0200
Dear Fathi Boudra

What they agree or not agree is not relevant, but the facts are relevant!

To give you a few real examples:

You won't be able to access the following image with your browsers,
because they use obsolete and illegal derivations of libjpeg:

  http://filmicgames.com/Images/Patents/bedroom_arithmetic.jpg
  from the article
  "The greatest failure of our patent system wasÂ…"
  http://filmicgames.com/archives/778

And here you can see the ignorance of the browser developers:

  https://bugzilla.mozilla.org/show_bug.cgi?id=680385

You will not be able to access the following images with your browsers,
because they use obsolete and illegal derivations of libjpeg:

  http://jpegclub.org/kodaksuite/

Compare this with

  http://www.r0k.us/graphics/kodak/

This of course requires the latest development version of libjpeg
(v9 as mentioned) which you can find here:

  http://www.infai.org/jpeg/

And if you are interested in how this works you can read this:

  http://jpegclub.org/temp/
  http://jpegclub.org/temp/JPEG_9_Lossless_Coding.doc

Please be aware that there are certain circles which want to PREVENT
that any advance in JPEG image coding reaches you.  And their means
is this obsolete and illegal derivation of libjpeg.
They rely on the ignorance of people, and since many people are
ignorant, they can actually reach their goal.
But notice the famous saying of Abraham Lincoln:

  You can fool some of the people all of the time, and all of the
  people some of the time, but you cannot fool all of the people
  all the time.

You apparently belong to that "camp" which promotes obsolete and
illegal derivations of libjpeg.
Notice that I have actually no plans to take legal action against
the deceivers and their circles (which include such companies like
Google, Red Hat, Ubuntu, and others, as can be seen on
http://www.libjpeg-turbo.org/About/Software), but the organizations
and companies that I am working with may see this different one day.

Regards
Guido Vollbeding
Organizer Independent JPEG Group




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fathi Boudra <fabo@debian.org>:
Bug#612341; Package wnpp. (Wed, 30 May 2012 09:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <malat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fathi Boudra <fabo@debian.org>. (Wed, 30 May 2012 09:09:03 GMT) Full text and rfc822 format available.

Message #136 received at 612341@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
Cc: 612341@bugs.debian.org
Subject: Re: Bug#612341: bumblebee, libjpeg-turbo: Wheezy does not work well with modern notebook PCs.
Date: Wed, 30 May 2012 11:04:41 +0200
For information, it looks like not all of libjpeg8 is actually
implemented in libjpeg-turbo, ref:
http://libjpeg-turbo.svn.sourceforge.net/viewvc/libjpeg-turbo/trunk/README-turbo.txt

In particular:

libjpeg v7 and v8 Features:
---------------------------

Fully supported:

-- cjpeg: Separate quality settings for luminance and chrominance
   Note that the libpjeg v7+ API was extended to accommodate this feature only
   for convenience purposes.  It has always been possible to implement this
   feature with libjpeg v6b (see rdswitch.c for an example.)

-- libjpeg: IDCT scaling extensions in decompressor
   libjpeg-turbo supports IDCT scaling with scaling factors of 1/8, 1/4, 3/8,
   1/2, 5/8, 3/4, 7/8, 9/8, 5/4, 11/8, 3/2, 13/8, 7/4, 15/8, and 2/1 (only 1/4
   and 1/2 are SIMD-accelerated.)

-- cjpeg: 32-bit BMP support

-- jpegtran: lossless cropping

-- jpegtran: -perfect option

-- rdjpgcom: -raw option

-- rdjpgcom: locale awareness


Fully supported when using libjpeg v7/v8 emulation:

-- libjpeg: In-memory source and destination managers


Not supported:

-- libjpeg: DCT scaling in compressor
   cinfo.scale_num and cinfo.scale_denom are silently ignored.
   There is no technical reason why DCT scaling cannot be supported, but
   without the SmartScale extension (see below), it would only be able to
   down-scale using ratios of 1/2, 8/15, 4/7, 8/13, 2/3, 8/11, 4/5, and 8/9,
   which is of limited usefulness.

-- libjpeg: SmartScale
   cinfo.block_size is silently ignored.
   SmartScale is an extension to the JPEG format that allows for DCT block
   sizes other than 8x8.  It would be difficult to support this feature while
   retaining backward compatibility with libjpeg v6b.

-- libjpeg: Fancy downsampling in compressor
   cinfo.do_fancy_downsampling is silently ignored.
   This requires the DCT scaling feature, which is not supported.

-- jpegtran: Scaling
   This requires both the DCT scaling and SmartScale features, which are not
   supported.

-- Lossless RGB JPEG files
   This requires the SmartScale feature, which is not supported.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fathi Boudra <fabo@debian.org>:
Bug#612341; Package wnpp. (Wed, 30 May 2012 09:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fathi Boudra <fabo@debian.org>. (Wed, 30 May 2012 09:12:39 GMT) Full text and rfc822 format available.

Message #141 received at 612341@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Fathi Boudra <fabo@debian.org>
Cc: Guido Vollbeding <guido@jpegclub.org>, 612341@bugs.debian.org, Mathieu Malaterre <mathieu.malaterre@gmail.com>, Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>, Osamu Aoki <osamu@debian.org>, Ivan Baldo <ibaldo@adinet.com.uy>, Igor Urazov <z0rc3r@gmail.com>, ballombe@debian.org
Subject: Re: Bug#612341: bumblebee, libjpeg-turbo: Wheezy does not work well with modern notebook PCs.
Date: Wed, 30 May 2012 11:09:12 +0200
[Message part 1 (text/plain, inline)]
Hi Fathi,

On Mi 30 Mai 2012 06:06:07 CEST Fathi Boudra wrote:

> On Wed, May 30, 2012 at 1:15 AM, Guido Vollbeding <guido@jpegclub.org> wrote:
>> Hello Mathieu
>>
>> Thank you for question.
>> libjpeg is reference code, not faulty patchwork.
>> Everything is said in the README:
>>
>>  There are currently distributions in circulation containing the name
>>  "libjpeg" which claim to be a "derivative" or "fork" of the original
>>  libjpeg, but don't have the features and are incompatible with formats
>>  supported by actual IJG libjpeg distributions.  Furthermore, they
>>  violate the license conditions as described under LEGAL ISSUES above.
>>  We have no sympathy for the release of misleading and illegal
>>  distributions derived from obsolete code bases.
>>  Don't use an obsolete code base!
>>
>> I mean, the original README in libjpeg, not that in the patchwork you
>> are talking about, which is one of the license violations.
>>
>> It seems that Bill Allombert is still one of the few sane people out
>> there, many others have apparently gone mad.
>> I don't care for the ignorant people.
>>
>> You may of course make a "turbo" version, I have nothing against it,
>> but NOT in the way mentioned.  Take libjpeg with its current features
>> and make it "turbo" - that would be wonderful!
>
> For reference: http://www.libjpeg-turbo.org/About/FUD
> As we can see, "the other camp" doesn't agree.
> I would like to avoid political/legal/off-topic discussions that
> doesn't belong to this bug report or LJT ITP. Thanks.

I fully agree with Fathi, no political discussion via an Debian ITP in BTS.

My suggestion for Debian packaging of libjpeg-turbo is:

 o split up the package as currently pre-packaged into
    - libjpeg-turbo
    - libjpeg-turbo-dev
    - libjpeg-turbo-libjpeg8-diversion (the name may not be optimal)
    - libjpeg-turbo-libjpeg8-diversion-dev

People who need libjpeg-turbo for other projects (TigerVNC, VirtualGL,  
etc.) may have it in Debian.

People who choose to fully replace libjpeg by libjpeg-turbo in v8  
compat mode can install the libjpeg-turbo-libjpeg8-diversion (or  
similar name). This package replaces libjpeg8 by libjpeg-turbo via  
dpkg-divert. Without this package installed the two libraries can  
co-exist and be used either or by other packages.

I love choice! And with this approach we let the user choose whether  
to keep libjpeg8 or drop-in replace it by libjpeg-turbo with v8 compat  
mode.

Debian maintainers of applications that run with libjpeg8, but fail  
with libjpeg-turbo, may file BTS reports against libjpeg-turbo that we  
can forward to libjpeg-turbo upstream.

How is that?
Mike





-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0xB588399B
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fathi Boudra <fabo@debian.org>:
Bug#612341; Package wnpp. (Wed, 30 May 2012 09:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fathi Boudra <fabo@debian.org>. (Wed, 30 May 2012 09:21:03 GMT) Full text and rfc822 format available.

Message #146 received at 612341@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: Fathi Boudra <fabo@debian.org>, Guido Vollbeding <guido@jpegclub.org>, 612341@bugs.debian.org, Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>, Osamu Aoki <osamu@debian.org>, Ivan Baldo <ibaldo@adinet.com.uy>, Igor Urazov <z0rc3r@gmail.com>, ballombe@debian.org
Subject: Re: Bug#612341: bumblebee, libjpeg-turbo: Wheezy does not work well with modern notebook PCs.
Date: Wed, 30 May 2012 11:18:57 +0200
Hi all,

On Wed, May 30, 2012 at 11:09 AM, Mike Gabriel
<mike.gabriel@das-netzwerkteam.de> wrote:
> Hi Fathi,
>
>
> On Mi 30 Mai 2012 06:06:07 CEST Fathi Boudra wrote:
>
>> On Wed, May 30, 2012 at 1:15 AM, Guido Vollbeding <guido@jpegclub.org>
>> wrote:
>>>
>>> Hello Mathieu
>>>
>>> Thank you for question.
>>> libjpeg is reference code, not faulty patchwork.
>>> Everything is said in the README:
>>>
>>>  There are currently distributions in circulation containing the name
>>>  "libjpeg" which claim to be a "derivative" or "fork" of the original
>>>  libjpeg, but don't have the features and are incompatible with formats
>>>  supported by actual IJG libjpeg distributions.  Furthermore, they
>>>  violate the license conditions as described under LEGAL ISSUES above.
>>>  We have no sympathy for the release of misleading and illegal
>>>  distributions derived from obsolete code bases.
>>>  Don't use an obsolete code base!
>>>
>>> I mean, the original README in libjpeg, not that in the patchwork you
>>> are talking about, which is one of the license violations.
>>>
>>> It seems that Bill Allombert is still one of the few sane people out
>>> there, many others have apparently gone mad.
>>> I don't care for the ignorant people.
>>>
>>> You may of course make a "turbo" version, I have nothing against it,
>>> but NOT in the way mentioned.  Take libjpeg with its current features
>>> and make it "turbo" - that would be wonderful!
>>
>>
>> For reference: http://www.libjpeg-turbo.org/About/FUD
>> As we can see, "the other camp" doesn't agree.
>> I would like to avoid political/legal/off-topic discussions that
>> doesn't belong to this bug report or LJT ITP. Thanks.
>
>
> I fully agree with Fathi, no political discussion via an Debian ITP in BTS.

Well the issues were about:
1. legal issues
2. ABI compatibility

For (1), I read the original copyright 3 times [1], but I failed to
see where exactly the issue is. The most probable issue is :

[...]
(1) If any part of the source code for this software is distributed, then this
README file must be included, with this copyright and no-warranty notice
unaltered; and any additions, deletions, or changes to the original files
must be clearly indicated in accompanying documentation.
[...]

However looking at [2] I can check that the original README is still
there. The modifications from the original libjpeg seems to be
indicated quite clearly in section "libjpeg v7 and v8 Features", of
[3]. So I am not clear what the issue really is...
Maybe it depends on what you call "[...] be clearly indicated [...]"

Guido, could you precisely outline what you call "[...] they  violate
the license conditions [...]".

As for (2), I explained what the differences are at:
http://bugs.debian.org/612341#136
I guess I am being picky here, but if a lib claims to have a SONAME of
libjpeg8, then it should *actually* implements all of libjpeg8 ABI.
dpkg-divert should really be clear about that if libjpeg-turbo ever
tries to replace libjpeg[8|9].

2cts

[1] http://packages.debian.org/changelogs/pool/main/libj/libjpeg8/current/copyright
[2] http://sourceforge.net/projects/libjpeg-turbo/files/1.2.0/libjpeg-turbo-1.2.0.tar.gz
[3] http://libjpeg-turbo.svn.sourceforge.net/viewvc/libjpeg-turbo/trunk/README-turbo.txt

-- 
Mathieu




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fathi Boudra <fabo@debian.org>:
Bug#612341; Package wnpp. (Wed, 30 May 2012 09:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fathi Boudra <fabo@debian.org>. (Wed, 30 May 2012 09:24:05 GMT) Full text and rfc822 format available.

Message #151 received at 612341@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@ubuntu.com>
To: 612341@bugs.debian.org
Subject: libjpeg-turbo packaging (as done for Ubuntu)
Date: Wed, 30 May 2012 17:21:37 +0800
just a note for the packaging as done in Ubuntu during the precise release
cycle. goals were

 - be able to revert the change and use libjpeg8 again if needed,
   so I did use different binary package names for the libjpeg-turbo
   sources.

 - identify packages which do use symbols found in -turbo,
   but not in libjpeg8 (using some scary symbols file processing)

 - not to touch the libjpeg8 source package (it is now removed
   in Ubuntu). Dependency packages are built from the new
   libjpeg8-empty source package.

I think that Debian wants to be able to install either libjpeg8 or
libjpeg8-turbo, so instead of the "Breaks" in the libjpeg-turbo binary packages,
the conflicting files should be handled by diversions.

  Matthias




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fathi Boudra <fabo@debian.org>:
Bug#612341; Package wnpp. (Wed, 30 May 2012 09:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fathi Boudra <fabo@debian.org>. (Wed, 30 May 2012 09:33:04 GMT) Full text and rfc822 format available.

Message #156 received at 612341@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Fathi Boudra <fabo@debian.org>
Cc: 612341@bugs.debian.org, Osamu Aoki <osamu@debian.org>, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, Mathieu Malaterre <malat@debian.org>, Ivan Baldo <ibaldo@adinet.com.uy>, Igor Urazov <z0rc3r@gmail.com>, ballombe@debian.org
Subject: Re: Bug#612341: bumblebee, libjpeg-turbo: Wheezy does not work well with modern notebook PCs.
Date: Wed, 30 May 2012 11:31:04 +0200
On Wed, May 30, 2012 at 06:58:40AM +0300, Fathi Boudra wrote:
> On Tue, May 29, 2012 at 10:53 PM, Bill Allombert
> <Bill.Allombert@math.u-bordeaux1.fr> wrote:
> > I am surprised you do not count Debian as a major distro.
> > Does libjpeg-progs works correctly with LJT ?
> 
> That's my point. Debian is the only one that haven't switched yet :)
> Yes, LJT works with libjpeg-progs.

This post form Mathieu <http://bugs.debian.org/612341#136>
clearly show it does not works with libjpeg-progs. Is it outdated, or are you
misinformed ?

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fathi Boudra <fabo@debian.org>:
Bug#612341; Package wnpp. (Wed, 30 May 2012 09:51:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guido Vollbeding <guido@jpegclub.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fathi Boudra <fabo@debian.org>. (Wed, 30 May 2012 09:51:22 GMT) Full text and rfc822 format available.

Message #161 received at 612341@bugs.debian.org (full text, mbox):

From: Guido Vollbeding <guido@jpegclub.org>
To: Mathieu Malaterre <mathieu.malaterre@gmail.com>
Cc: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, Fathi Boudra <fabo@debian.org>, 612341@bugs.debian.org, Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>, Osamu Aoki <osamu@debian.org>, Ivan Baldo <ibaldo@adinet.com.uy>, Igor Urazov <z0rc3r@gmail.com>, ballombe@debian.org
Subject: Re: Bug#612341: bumblebee, libjpeg-turbo: Wheezy does not work well with modern notebook PCs.
Date: Wed, 30 May 2012 11:48:01 +0200
Hello Mathieu

>> I fully agree with Fathi, no political discussion via an Debian ITP in BTS.
>
> Well the issues were about:
> 1. legal issues
> 2. ABI compatibility

You are right, these are more substantial than just "political" issues.

> (1) If any part of the source code for this software is distributed, then this
> README file must be included, with this copyright and no-warranty notice
> unaltered; and any additions, deletions, or changes to the original files
> must be clearly indicated in accompanying documentation.
> [...]

> Guido, could you precisely outline what you call "[...] they  violate
> the license conditions [...]".

Yes, compare the README file that is contained in this derivative with the one
in the original package.  Their version is crippled and garbled to a degree
which I call misleading.  And neither on their web page nor on the Wikipedia
"libjpeg" entry which they obviously control (which shows that the Wikipedia
principles do not work here) is there any mention of the defects, which
again is misleading.

Notice that even commercial companies contact me to ask for satisfying the
license conditions properly, but this derivative maintainer has never
contacted IJG for resolving such issues.  And I have other things to do
than go out to every of the zillions of libjpeg users to check if they
obey the license conditions.
Obviously in this case we have a deliberate infringement of the conditions,
which is explained with the fraudulent intent of those people as mentioned.

> I guess I am being picky here, but if a lib claims to have a SONAME of
> libjpeg8, then it should *actually* implements all of libjpeg8 ABI.

That is a MAJOR issue!
I cannot believe that you folks accept the fact that a lib PRETENDS
compatibility with a certain INTERFACE, but WITHOUT actually IMPLEMENTING
it!
Anyone who does or accepts such action cannot be taken seriously, sorry,
and I will certainly recommend anyone to stay away from organizations or
companies which do or accept such practice.

Regards
Guido Vollbeding
Organizer Independent JPEG Group




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fathi Boudra <fabo@debian.org>:
Bug#612341; Package wnpp. (Wed, 30 May 2012 09:51:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fathi Boudra <fabo@debian.org>. (Wed, 30 May 2012 09:51:30 GMT) Full text and rfc822 format available.

Message #166 received at 612341@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: Fathi Boudra <fabo@debian.org>, Guido Vollbeding <guido@jpegclub.org>, 612341@bugs.debian.org, Mathieu Malaterre <mathieu.malaterre@gmail.com>, Osamu Aoki <osamu@debian.org>, Ivan Baldo <ibaldo@adinet.com.uy>, Igor Urazov <z0rc3r@gmail.com>, ballombe@debian.org
Subject: Re: Bug#612341: bumblebee, libjpeg-turbo: Wheezy does not work well with modern notebook PCs.
Date: Wed, 30 May 2012 11:21:18 +0200
On Wed, May 30, 2012 at 11:09:12AM +0200, Mike Gabriel wrote:
> Hi Fathi,
> 
> On Mi 30 Mai 2012 06:06:07 CEST Fathi Boudra wrote:
> 
> >On Wed, May 30, 2012 at 1:15 AM, Guido Vollbeding <guido@jpegclub.org> wrote:
> >>Hello Mathieu
> >>
> >>Thank you for question.
> >>libjpeg is reference code, not faulty patchwork.
> >>Everything is said in the README:
> >>
> >> There are currently distributions in circulation containing the name
> >> "libjpeg" which claim to be a "derivative" or "fork" of the original
> >> libjpeg, but don't have the features and are incompatible with formats
> >> supported by actual IJG libjpeg distributions.  Furthermore, they
> >> violate the license conditions as described under LEGAL ISSUES above.
> >> We have no sympathy for the release of misleading and illegal
> >> distributions derived from obsolete code bases.
> >> Don't use an obsolete code base!
> >>
> >>I mean, the original README in libjpeg, not that in the patchwork you
> >>are talking about, which is one of the license violations.
> >>
> >>It seems that Bill Allombert is still one of the few sane people out
> >>there, many others have apparently gone mad.
> >>I don't care for the ignorant people.
> >>
> >>You may of course make a "turbo" version, I have nothing against it,
> >>but NOT in the way mentioned.  Take libjpeg with its current features
> >>and make it "turbo" - that would be wonderful!
> >
> >For reference: http://www.libjpeg-turbo.org/About/FUD
> >As we can see, "the other camp" doesn't agree.
> >I would like to avoid political/legal/off-topic discussions that
> >doesn't belong to this bug report or LJT ITP. Thanks.
> 
> I fully agree with Fathi, no political discussion via an Debian ITP in BTS.

Guido and me have been dragged in this bug log against our will. You can hardly
blame us for answering.

Whether a package is correctly licensed is certainly relevant to an ITP.
libjpeg-turbo is released with a different license than libjpeg, so it is
not possible to port code from libjpeg-turbo to libjpeg. So you can see
why Guido consider libjpeg-turbo with some hostility.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fathi Boudra <fabo@debian.org>:
Bug#612341; Package wnpp. (Wed, 30 May 2012 10:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fathi Boudra <fabo@debian.org>. (Wed, 30 May 2012 10:24:11 GMT) Full text and rfc822 format available.

Message #171 received at 612341@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
Cc: Fathi Boudra <fabo@debian.org>, Guido Vollbeding <guido@jpegclub.org>, 612341@bugs.debian.org, Mathieu Malaterre <mathieu.malaterre@gmail.com>, Osamu Aoki <osamu@debian.org>, Ivan Baldo <ibaldo@adinet.com.uy>, Igor Urazov <z0rc3r@gmail.com>, ballombe@debian.org
Subject: Re: Bug#612341: bumblebee, libjpeg-turbo: Wheezy does not work well with modern notebook PCs.
Date: Wed, 30 May 2012 12:20:21 +0200
[Message part 1 (text/plain, inline)]
Hi,

On Mi 30 Mai 2012 11:21:18 CEST Bill Allombert wrote:

>> I fully agree with Fathi, no political discussion via an Debian ITP in BTS.
>
> Guido and me have been dragged in this bug log against our will. You  
> can hardly
> blame us for answering.

Not blaming anyone...

> Whether a package is correctly licensed is certainly relevant to an ITP.
> libjpeg-turbo is released with a different license than libjpeg, so it is
> not possible to port code from libjpeg-turbo to libjpeg. So you can see
> why Guido consider libjpeg-turbo with some hostility.

Ok, the license mismatch is a bummer... License issues surely are  
subject of an ITP. Agreed.

Thanks for giving the extra info on the license,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0xB588399B
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fathi Boudra <fabo@debian.org>:
Bug#612341; Package wnpp. (Wed, 30 May 2012 16:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fathi Boudra <fabo@debian.org>. (Wed, 30 May 2012 16:06:03 GMT) Full text and rfc822 format available.

Message #176 received at 612341@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>, Fathi Boudra <fabo@debian.org>, Guido Vollbeding <guido@jpegclub.org>, 612341@bugs.debian.org, Mathieu Malaterre <mathieu.malaterre@gmail.com>, Ivan Baldo <ibaldo@adinet.com.uy>, Igor Urazov <z0rc3r@gmail.com>, ballombe@debian.org
Subject: Re: Bug#612341: bumblebee, libjpeg-turbo: Wheezy does not work well with modern notebook PCs.
Date: Thu, 31 May 2012 01:02:24 +0900
Hi,

On Wed, May 30, 2012 at 12:20:21PM +0200, Mike Gabriel wrote:
> Hi,
> 
> On Mi 30 Mai 2012 11:21:18 CEST Bill Allombert wrote:
... 

Let's focus on topic: ITP = Intent_To_Package for libjpeg-turbo

> >Whether a package is correctly licensed is certainly relevant to an ITP.
> >libjpeg-turbo is released with a different license than libjpeg, so it is
> >not possible to port code from libjpeg-turbo to libjpeg. So you can see
> >why Guido consider libjpeg-turbo with some hostility.

Understanding hostility: YES. 
  (We are not discussing replacing libjpeg based packages with
  libjpeg-turbo based packages, now.  We are discussing providing
  alternative if and only if user wish to use it.  Practically at this
  point in release cycle, no sane person wish to replace such a basic
  package.  The only package using is  VirtualGL and TurboVNC and looks
  like they are statically linked.)

Agreeing licensing issue raised by libjpeg developer: NO.

As I understand, 
 * libjpeg-turbo is a derivative work based on libjpeg
 * libjpeg is BSD style license without the advertising clause
   requirement so making derivative work (including making a patchwork
   of codes) is explicitly allowed and it is GPL compatible.
 * libjpeg-turbo is said to have some lack of features but that can not
   be the base for rejecting ITP.
 * libjpeg-turbo is not presenting itself as libjpg.  README-turbo.txt
   clearly states:

|  libjpeg-turbo is a derivative of libjpeg which uses SIMD instructions (MMX,
|  SSE2, etc.) to accelerate baseline JPEG compression and decompression on x86
|  and x86-64 systems.  On such systems, libjpeg-turbo is generally 2-4x as fast
|  as the unmodified version of libjpeg, all else being equal.
|  
|  libjpeg-turbo was originally based on libjpeg/SIMD by Miyasaka Masaru, but
|  the TigerVNC and VirtualGL projects made numerous enhancements to the codec in
|  2009, including improved support for Mac OS X, 64-bit support, support for
|  32-bit and big endian pixel formats (RGBX, XBGR, etc.), accelerated Huffman
|  encoding/decoding, and various bug fixes.  The goal was to produce a fully open
|  source codec that could replace the partially closed source TurboJPEG/IPP codec
|  used by VirtualGL and TurboVNC.  libjpeg-turbo generally performs in the range
|  of 80-120% of TurboJPEG/IPP.  It is faster in some areas but slower in others.
|  
|  In early 2010, libjpeg-turbo spun off into its own independent project, with
|  the goal of making high-speed JPEG compression/decompression technology
|  available to a broader range of users and developers.  The libjpeg-turbo shared
|  libraries can be used as drop-in replacements for libjpeg on most systems.

The only thing one can think as problematic is the correctness of
statement "all else being equal" since libjpeg-turbo is said to have
dropped support for the arithmetic encoding scheme. We could ask
upstream to fix it by replacing it with "all else being practically
equal". (Or we can patch it when we distribute so no misrepresentation
claim can be used against this package.)  

I have not checked this claim of correctness myself, though. (Besides,
this does not hinder actual usefulness as long as ABI compatible for
other functions.)

As for "patent issues" discussed elsewhere, as usual with Debian, we do
not dig deep and package it.

http://www.debian.org/legal/patent

> Ok, the license mismatch is a bummer... 

I do not see the license mismatch like GPL/BSD incompatibility nor
anyone made any clear case of it.  Please be explicit on the problem.

> License issues surely are subject of an ITP. Agreed.

Since no license mismatch exists, packaging is allowed.

Regards,

Osamu





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fathi Boudra <fabo@debian.org>:
Bug#612341; Package wnpp. (Thu, 31 May 2012 00:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fathi Boudra <fabo@debian.org>. (Thu, 31 May 2012 00:45:04 GMT) Full text and rfc822 format available.

Message #181 received at 612341@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 612341@bugs.debian.org
Subject: libjpeg-turbo packaging (as done for Ubuntu)
Date: Thu, 31 May 2012 08:41:47 +0800
just a note for the packaging as done in Ubuntu during the precise release
cycle. goals were

 - be able to revert the change and use libjpeg8 again if needed,
   so I did use different binary package names for the libjpeg-turbo
   sources.

 - identify packages which do use symbols found in -turbo,
   but not in libjpeg8 (using some scary symbols file processing)

 - not to touch the libjpeg8 source package (it is now removed
   in Ubuntu). Dependency packages are built from the new
   libjpeg8-empty source package.

I think that Debian wants to be able to install either libjpeg8 or
libjpeg8-turbo, so instead of the "Breaks" in the libjpeg-turbo binary packages,
the conflicting files should be handled by diversions.

  Matthias





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fathi Boudra <fabo@debian.org>:
Bug#612341; Package wnpp. (Thu, 31 May 2012 14:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fathi Boudra <fabo@debian.org>. (Thu, 31 May 2012 14:00:06 GMT) Full text and rfc822 format available.

Message #186 received at 612341@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: Fathi Boudra <fabo@debian.org>
Cc: 612341@bugs.debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, Mathieu Malaterre <malat@debian.org>, Ivan Baldo <ibaldo@adinet.com.uy>, Igor Urazov <z0rc3r@gmail.com>, ballombe@debian.org, Matthias Klose <doko@debian.org>
Subject: Re: Bug#612341: bumblebee, libjpeg-turbo: Wheezy does not work well with modern notebook PCs.
Date: Thu, 31 May 2012 22:55:28 +0900
Hi,

On Tue, May 29, 2012 at 07:36:12PM +0300, Fathi Boudra wrote:
> On Sat, May 26, 2012 at 9:34 PM, Osamu Aoki <osamu@debian.org> wrote:
> >> >Also, Mike Gabriel's work seems to have done somethings interesting on
> >> >old Fathi's version and made many improvements.
> >>
> >> thanks for pinging us! I agree, libjpeg-turbo has to be in Wheezy!!!
> >>
> >> Fathi, please send us a notice what you plan on this package.
> >
> > I see Fathi being quite active.
> 
> Yes, I am. Apologies, I've been quite busy on other front and put LJT
> as a low prio.
> 
> AFAIR, current Ubuntu package wasn't suitable to be uploaded as-is.
> I'm at Linaro Connect this week with Tom Gall and Doko, I'll sync up
> with them and upload the package if everything alright.
> 
> Sounds like many people are interested. LJT is a good candidate for
> collab-maint on git.debian.org :)

You only commited upstream tar ... that is not interesting for us to dig
into license issue etc.  For the moment, I added a buildable content as
master=debian branch.

  [remote "origin"]
        fetch = +refs/heads/*:refs/remotes/origin/*
        url = ssh://git.debian.org/git/collab-maint/libjpeg-turbo

(I thought putting history including branching point from libjpeg may be
more interesing ... but that can be done later if all agree ...)

It is practically Ubuntu package shape as done by Matthias Klose
<doko@debian.org>.  I have not included suggestions on this bug by
Matthias Klose <doko@debian.org>.

Question is his package is tracking 8c on Ubuntu while the current
Debian libjpeg is 8d version.  I did not put any thought on it yet.

By the way, is there active mailing list?

vasks repo had some hook :-)

Osamu





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fathi Boudra <fabo@debian.org>:
Bug#612341; Package wnpp. (Thu, 31 May 2012 22:12:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fathi Boudra <fabo@debian.org>. (Thu, 31 May 2012 22:12:08 GMT) Full text and rfc822 format available.

Message #191 received at 612341@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Osamu Aoki <osamu@debian.org>
Cc: Fathi Boudra <fabo@debian.org>, 612341@bugs.debian.org, Mathieu Malaterre <malat@debian.org>, Ivan Baldo <ibaldo@adinet.com.uy>, Igor Urazov <z0rc3r@gmail.com>, ballombe@debian.org, Matthias Klose <doko@debian.org>
Subject: Re: Bug#612341: bumblebee, libjpeg-turbo: Wheezy does not work well with modern notebook PCs.
Date: Thu, 31 May 2012 23:50:19 +0200
[Message part 1 (text/plain, inline)]
Hi,

On Do 31 Mai 2012 15:55:28 CEST Osamu Aoki wrote:

> Hi,
>
> On Tue, May 29, 2012 at 07:36:12PM +0300, Fathi Boudra wrote:
>> On Sat, May 26, 2012 at 9:34 PM, Osamu Aoki <osamu@debian.org> wrote:
>> >> >Also, Mike Gabriel's work seems to have done somethings interesting on
>> >> >old Fathi's version and made many improvements.
>> >>
>> >> thanks for pinging us! I agree, libjpeg-turbo has to be in Wheezy!!!
>> >>
>> >> Fathi, please send us a notice what you plan on this package.
>> >
>> > I see Fathi being quite active.
>>
>> Yes, I am. Apologies, I've been quite busy on other front and put LJT
>> as a low prio.
>>
>> AFAIR, current Ubuntu package wasn't suitable to be uploaded as-is.
>> I'm at Linaro Connect this week with Tom Gall and Doko, I'll sync up
>> with them and upload the package if everything alright.
>>
>> Sounds like many people are interested. LJT is a good candidate for
>> collab-maint on git.debian.org :)
>
> You only commited upstream tar ... that is not interesting for us to dig
> into license issue etc.  For the moment, I added a buildable content as
> master=debian branch.
>
>   [remote "origin"]
>         fetch = +refs/heads/*:refs/remotes/origin/*
>         url = ssh://git.debian.org/git/collab-maint/libjpeg-turbo
>
> (I thought putting history including branching point from libjpeg may be
> more interesing ... but that can be done later if all agree ...)

you may want to have a very little bit more history... (and a  
packaging folder)
http://code.x2go.org/gitweb?p=libjpeg-turbo.git;a=summary

We would have to import latest upstream on top of that but the  
packaging works fine for libjpeg8 emulation mode.

However, I really think that we should put the dpkg-divert stuff into  
an extra bin:package (in the same libjpeg-turbo src:package, of course).

Mike




-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0xB588399B
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fathi Boudra <fabo@debian.org>:
Bug#612341; Package wnpp. (Fri, 01 Jun 2012 15:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fathi Boudra <fabo@debian.org>. (Fri, 01 Jun 2012 15:00:03 GMT) Full text and rfc822 format available.

Message #196 received at 612341@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: Fathi Boudra <fabo@debian.org>, 612341@bugs.debian.org, Mathieu Malaterre <malat@debian.org>, Ivan Baldo <ibaldo@adinet.com.uy>, Igor Urazov <z0rc3r@gmail.com>, ballombe@debian.org, Matthias Klose <doko@debian.org>
Subject: Re: Bug#612341: bumblebee, libjpeg-turbo: Wheezy does not work well with modern notebook PCs.
Date: Fri, 1 Jun 2012 23:57:54 +0900
Hi,

On Thu, May 31, 2012 at 11:50:19PM +0200, Mike Gabriel wrote:
...
> you may want to have a very little bit more history... (and a
> packaging folder)
> http://code.x2go.org/gitweb?p=libjpeg-turbo.git;a=summary

This is one of them.  Ubuntu package history is another one. 
 
> We would have to import latest upstream on top of that 

Well, unless we all agree to reset git repo, this is impossible to do. I
like to do it....

> but the packaging works fine for libjpeg8 emulation mode.

Sure, what I commited is something like this plus new upstream.
It should work fine for libjpeg8 emulation mode.

> However, I really think that we should put the dpkg-divert stuff
> into an extra bin:package (in the same libjpeg-turbo src:package, of
> course).

I agree.

So we need to make the assignment of works who does what.

I can help general simple packaging based on Ubuntu work but I can not
be competent on complicated library packaging with ABI compatibility
etc.

Osamu






Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fathi Boudra <fabo@debian.org>:
Bug#612341; Package wnpp. (Fri, 01 Jun 2012 15:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fathi Boudra <fabo@debian.org>. (Fri, 01 Jun 2012 15:21:03 GMT) Full text and rfc822 format available.

Message #201 received at 612341@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Osamu Aoki <osamu@debian.org>
Cc: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, Fathi Boudra <fabo@debian.org>, 612341@bugs.debian.org, Mathieu Malaterre <malat@debian.org>, Ivan Baldo <ibaldo@adinet.com.uy>, Igor Urazov <z0rc3r@gmail.com>, ballombe@debian.org, Matthias Klose <doko@debian.org>
Subject: Re: Bug#612341: bumblebee, libjpeg-turbo: Wheezy does not work well with modern notebook PCs.
Date: Fri, 1 Jun 2012 17:19:17 +0200
On Fri, Jun 01, 2012 at 11:57:54PM +0900, Osamu Aoki wrote:
> Hi,
> 
> On Thu, May 31, 2012 at 11:50:19PM +0200, Mike Gabriel wrote:
> ...
> > you may want to have a very little bit more history... (and a
> > packaging folder)
> > http://code.x2go.org/gitweb?p=libjpeg-turbo.git;a=summary
> 
> This is one of them.  Ubuntu package history is another one. 
>  
> > We would have to import latest upstream on top of that 
> 
> Well, unless we all agree to reset git repo, this is impossible to do. I
> like to do it....
> 
> > but the packaging works fine for libjpeg8 emulation mode.
> 
> Sure, what I commited is something like this plus new upstream.
> It should work fine for libjpeg8 emulation mode.
> 
> > However, I really think that we should put the dpkg-divert stuff
> > into an extra bin:package (in the same libjpeg-turbo src:package, of
> > course).

It is not reasonnable for libjpeg-turbo to dpkg-divert libjpeg8,
since it does not provide the same features set and break libjpeg-progs at least.
(there is a lot of features that are missing in libjpeg-turbo and some file created
by libjpeg8 cannot be rendered correctly by libjpeg-turbo).

Instead the set of application that need libjpeg-turbo could use LD_LIBRARY_PATH etc.
(put libjpeg-turbo in /usr/lib/libjpeg-turbo/libjpeg8 and do
LD_LIBRARY_PATH=/usr/lib/libjpeg-turbo/libjpeg8:$LD_LIBRARY_PATH 
in a wrapper script)

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fathi Boudra <fabo@debian.org>:
Bug#612341; Package wnpp. (Sat, 02 Jun 2012 04:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fathi Boudra <fabo@debian.org>. (Sat, 02 Jun 2012 04:51:03 GMT) Full text and rfc822 format available.

Message #206 received at 612341@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>, Osamu Aoki <osamu@debian.org>
Cc: Fathi Boudra <fabo@debian.org>, 612341@bugs.debian.org, Mathieu Malaterre <malat@debian.org>, Ivan Baldo <ibaldo@adinet.com.uy>, Igor Urazov <z0rc3r@gmail.com>, ballombe@debian.org, Matthias Klose <doko@debian.org>
Subject: Re: Bug#612341: bumblebee, libjpeg-turbo: Wheezy does not work well with modern notebook PCs.
Date: Sat, 02 Jun 2012 06:49:24 +0200
Hi all,

> On Fri, Jun 01, 2012 at 11:57:54PM +0900, Osamu Aoki wrote:
> > Hi,
> > 
> > On Thu, May 31, 2012 at 11:50:19PM +0200, Mike Gabriel wrote:
> > ...
> > > you may want to have a very little bit more history... (and a
> > > packaging folder)
> > > http://code.x2go.org/gitweb?p=libjpeg-turbo.git;a=summary
> > 
> > This is one of them.   Ubuntu package history is another one. 
> > 
> > > We would have to import latest upstream on top of that 
> > 
> > Well, unless we all agree to reset git repo, this is impossible to do.
> > I like to do it....
> > 
> > > but the packaging works fine for libjpeg8 emulation mode.
> > 
> > Sure, what I commited is something like this plus new upstream.
> > It should work fine for libjpeg8 emulation mode.
> > 
> > > However, I really think that we should put the dpkg-divert stuff
> > > into an extra bin:package (in the same libjpeg-turbo src:package, of
> > > course).
> 
> It is not reasonnable for libjpeg-turbo to dpkg-divert libjpeg8,
> since it does not provide the same features set and break libjpeg-progs
> at least. (there is a lot of features that are missing in libjpeg-turbo
> and some file created by libjpeg8 cannot be rendered correctly by
> libjpeg-turbo).

As said before, I agree with bill that the diversion stuff has to stay out of the base LJT package. However, I would like to give people in wheezy the chance to drop in replace LJ by LJT with installation of an extra package that handles the versions. This package I would not even mention in Suggests:... The drop-in replacement has to be reversible with uninstallation for the diversion package. People have to remove the diversions without removing LJT. 

Our (and LJT upstream's) gain then is that we have a package/forum in BTS where all the incompatibility reports can be assigned to. This is usefull for further discussions. If people urge on replacing LJ by LJT somepost-wheezy-time later, then we can say: hey, take a look at all those bugs filed against the LJT diversion package... Or maybe there won't be many bugs being reported. Who knows. 
 
> Instead the set of application that need libjpeg-turbo could use
> LD_LIBRARY_PATH etc. (put libjpeg-turbo in
> /usr/lib/libjpeg-turbo/libjpeg8 and do
> LD_LIBRARY_PATH=/usr/lib/libjpeg-turbo/libjpeg8:$LD_LIBRARY_PATH   in a
> wrapper script)

As the native LJT library names do not interfere with Libjpeg8 lib so names, the LD_LIB_NAME thing is not even necessary, I think. Only the file/link names in the LJT diversion package will raise the naming interference (which is wanted with that package)

Greets
Mike




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fathi Boudra <fabo@debian.org>:
Bug#612341; Package wnpp. (Sat, 02 Jun 2012 05:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fathi Boudra <fabo@debian.org>. (Sat, 02 Jun 2012 05:03:02 GMT) Full text and rfc822 format available.

Message #211 received at 612341@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Osamu Aoki <osamu@debian.org>
Cc: Fathi Boudra <fabo@debian.org>, 612341@bugs.debian.org, Mathieu Malaterre <malat@debian.org>, Ivan Baldo <ibaldo@adinet.com.uy>, Igor Urazov <z0rc3r@gmail.com>, ballombe@debian.org, Matthias Klose <doko@debian.org>
Subject: Re: Bug#612341: bumblebee, libjpeg-turbo: Wheezy does not work well with modern notebook PCs.
Date: Sat, 02 Jun 2012 06:58:51 +0200
Hi Osamu,

> Hi,
> 
> On Thu, May 31, 2012 at 11:50:19PM +0200, Mike Gabriel wrote:
> ...
> > you may want to have a very little bit more history... (and a
> > packaging folder)
> > http://code.x2go.org/gitweb?p=libjpeg-turbo.git;a=summary
> 
> This is one of them.   Ubuntu package history is another one. 

Sure.

> > We would have to import latest upstream on top of that 
> 
> Well, unless we all agree to reset git repo, this is impossible to do. I
> like to do it....

+1 from me. However, as Fathi is ITP holder, he may have the last word.

@Fathi: will the above named vcs on code.x2go.org work for you as starting point? Osamu could clone that on collab-maint. Are you ok with co- aintenance? Shall we create a team-context for maintenance? One possibility could be that we place the development of the LJT package under the roof of the pkx-x2go-devel@a.l.d.o packaging team(easy for me :-) ). Any other context is fine as well.

> So we need to make the assignment of works who does what.

Once Fathi gave his go, I will be happy to extract the diversion stuff from the library stuff.

> I can help general simple packaging based on Ubuntu work but I can not
> be competent on complicated library packaging with ABI compatibility
> etc.

I guess the QA has to be done by Fathi, Doko or someone with similar experience. However, we can give them our work and together the package may evolve.

Greets,
Mike





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fathi Boudra <fabo@debian.org>:
Bug#612341; Package wnpp. (Sat, 02 Jun 2012 18:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fathi Boudra <fabo@debian.org>. (Sat, 02 Jun 2012 18:57:05 GMT) Full text and rfc822 format available.

Message #216 received at 612341@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: Fathi Boudra <fabo@debian.org>, 612341@bugs.debian.org, Mathieu Malaterre <malat@debian.org>, Ivan Baldo <ibaldo@adinet.com.uy>, Igor Urazov <z0rc3r@gmail.com>, ballombe@debian.org, Matthias Klose <doko@debian.org>
Subject: Re: Bug#612341: bumblebee, libjpeg-turbo: Wheezy does not work well with modern notebook PCs.
Date: Sun, 3 Jun 2012 03:53:10 +0900
Hi,

On Sat, Jun 02, 2012 at 06:58:51AM +0200, Mike Gabriel wrote:
> Hi Osamu,
> 
> > Hi,
> > 
> > On Thu, May 31, 2012 at 11:50:19PM +0200, Mike Gabriel wrote:
> > ...
> > > you may want to have a very little bit more history... (and a
> > > packaging folder)
> > > http://code.x2go.org/gitweb?p=libjpeg-turbo.git;a=summary
> > 
> > This is one of them.   Ubuntu package history is another one. 
> 
> Sure.
> 
> > > We would have to import latest upstream on top of that 
> > 
> > Well, unless we all agree to reset git repo, this is impossible to do. I
> > like to do it....
> 
> +1 from me. However, as Fathi is ITP holder, he may have the last word.

I know.  But it is easy to have another repo with everything :-)
Alioth can host it:

  http://anonscm.debian.org/gitweb/?p=users/osamu/libjpeg-turbo.git

I see you had some revert implimented.  Some package splits are a bit
different.  You get better picture from gitk screen.

> @Fathi: will the above named vcs on code.x2go.org work for you as
> starting point? Osamu could clone that on collab-maint. Are you ok
> with co- aintenance? Shall we create a team-context for maintenance?
> One possibility could be that we place the development of the LJT
> package under the roof of the pkx-x2go-devel@a.l.d.o packaging
> team(easy for me :-) ). Any other context is fine as well.

I an with you.

> > So we need to make the assignment of works who does what.
> 
> Once Fathi gave his go, I will be happy to extract the diversion stuff from the library stuff.
> 
> > I can help general simple packaging based on Ubuntu work but I can not
> > be competent on complicated library packaging with ABI compatibility
> > etc.
> 
> I guess the QA has to be done by Fathi, Doko or someone with similar
> experience. However, we can give them our work and together the
> package may evolve.

Yes.

As I read the source, I can see why Independent JPEG Group is bitter.

Modified file by non-IJG people are identifies as if they were done by
IJG people.  I am sure it is upsetting when code is broken from IJG
people's view.  I think no malice but just sloppiness ...
 
Osamu





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fathi Boudra <fabo@debian.org>:
Bug#612341; Package wnpp. (Sun, 03 Jun 2012 08:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fathi Boudra <fabo@debian.org>. (Sun, 03 Jun 2012 08:54:04 GMT) Full text and rfc822 format available.

Message #221 received at 612341@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Osamu Aoki <osamu@debian.org>
Cc: Fathi Boudra <fabo@debian.org>, 612341@bugs.debian.org, Mathieu Malaterre <malat@debian.org>, Ivan Baldo <ibaldo@adinet.com.uy>, Igor Urazov <z0rc3r@gmail.com>, ballombe@debian.org, Matthias Klose <doko@debian.org>
Subject: Re: Bug#612341: bumblebee, libjpeg-turbo: Wheezy does not work well with modern notebook PCs.
Date: Sun, 03 Jun 2012 10:51:13 +0200
[Message part 1 (text/plain, inline)]
Hi Osamu, hi all,

On Sa 02 Jun 2012 20:53:10 CEST Osamu Aoki wrote:

> Hi,
>
> On Sat, Jun 02, 2012 at 06:58:51AM +0200, Mike Gabriel wrote:
>> Hi Osamu,
>>
>> > Hi,
>> >
>> > On Thu, May 31, 2012 at 11:50:19PM +0200, Mike Gabriel wrote:
>> > ...
>> > > you may want to have a very little bit more history... (and a
>> > > packaging folder)
>> > > http://code.x2go.org/gitweb?p=libjpeg-turbo.git;a=summary
>> >
>> > This is one of them.   Ubuntu package history is another one.
>>
>> Sure.
>>
>> > > We would have to import latest upstream on top of that
>> >
>> > Well, unless we all agree to reset git repo, this is impossible to do. I
>> > like to do it....
>>
>> +1 from me. However, as Fathi is ITP holder, he may have the last word.
>
> I know.  But it is easy to have another repo with everything :-)
> Alioth can host it:
>
>   http://anonscm.debian.org/gitweb/?p=users/osamu/libjpeg-turbo.git
>
> I see you had some revert implimented.  Some package splits are a bit
> different.  You get better picture from gitk screen.

Looks good to me. I have cloned a working copy where I can write to on  
my own git server (and already did some work):
http://code.das-netzwerkteam.de/gitweb?p=debian/libjpeg-turbo.git;a=summary

>> @Fathi: will the above named vcs on code.x2go.org work for you as
>> starting point? Osamu could clone that on collab-maint. Are you ok
>> with co- aintenance? Shall we create a team-context for maintenance?
>> One possibility could be that we place the development of the LJT
>> package under the roof of the pkx-x2go-devel@a.l.d.o packaging
>> team(easy for me :-) ). Any other context is fine as well.
>
> I an with you.

Fathi? There also is a pkg-tigervnc project on Alioth, that would be  
an even better context, I guess.

>> > So we need to make the assignment of works who does what.
>>
>> Once Fathi gave his go, I will be happy to extract the diversion  
>> stuff from the library stuff.
>>
>> > I can help general simple packaging based on Ubuntu work but I can not
>> > be competent on complicated library packaging with ABI compatibility
>> > etc.
>>
>> I guess the QA has to be done by Fathi, Doko or someone with similar
>> experience. However, we can give them our work and together the
>> package may evolve.
>
> Yes.
>
> As I read the source, I can see why Independent JPEG Group is bitter.
>
> Modified file by non-IJG people are identifies as if they were done by
> IJG people.  I am sure it is upsetting when code is broken from IJG
> people's view.  I think no malice but just sloppiness ...

Not getting what you mean exactly here. Can anything be done about it?  
Anything that we can do?

Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0xB588399B
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fathi Boudra <fabo@debian.org>:
Bug#612341; Package wnpp. (Sun, 03 Jun 2012 09:36:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fathi Boudra <fabo@debian.org>. (Sun, 03 Jun 2012 09:36:24 GMT) Full text and rfc822 format available.

Message #226 received at 612341@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: Osamu Aoki <osamu@debian.org>, Fathi Boudra <fabo@debian.org>, 612341@bugs.debian.org, Mathieu Malaterre <malat@debian.org>, Ivan Baldo <ibaldo@adinet.com.uy>, Igor Urazov <z0rc3r@gmail.com>, ballombe@debian.org, Matthias Klose <doko@debian.org>
Subject: Re: Bug#612341: bumblebee, libjpeg-turbo: Wheezy does not work well with modern notebook PCs.
Date: Sun, 3 Jun 2012 11:32:47 +0200
[Message part 1 (text/plain, inline)]
On Sun, Jun 03, 2012 at 10:51:13AM +0200, Mike Gabriel wrote:
> Hi Osamu, hi all,
> 
> On Sa 02 Jun 2012 20:53:10 CEST Osamu Aoki wrote:
> 
> >Hi,
> >
> >On Sat, Jun 02, 2012 at 06:58:51AM +0200, Mike Gabriel wrote:
> >>Hi Osamu,
> >>
> >>> Hi,
> >>>
> >>> On Thu, May 31, 2012 at 11:50:19PM +0200, Mike Gabriel wrote:
> >>> ...
> >>> > you may want to have a very little bit more history... (and a
> >>> > packaging folder)
> >>> > http://code.x2go.org/gitweb?p=libjpeg-turbo.git;a=summary
> >>>
> >>> This is one of them.   Ubuntu package history is another one.
> >>
> >>Sure.
> >>
> >>> > We would have to import latest upstream on top of that
> >>>
> >>> Well, unless we all agree to reset git repo, this is impossible to do. I
> >>> like to do it....
> >>
> >>+1 from me. However, as Fathi is ITP holder, he may have the last word.
> >
> >I know.  But it is easy to have another repo with everything :-)
> >Alioth can host it:
> >
> >  http://anonscm.debian.org/gitweb/?p=users/osamu/libjpeg-turbo.git
> >
> >I see you had some revert implimented.  Some package splits are a bit
> >different.  You get better picture from gitk screen.
> 
> Looks good to me. I have cloned a working copy where I can write to
> on my own git server (and already did some work):
> http://code.das-netzwerkteam.de/gitweb?p=debian/libjpeg-turbo.git;a=summary
> 
> >>@Fathi: will the above named vcs on code.x2go.org work for you as
> >>starting point? Osamu could clone that on collab-maint. Are you ok
> >>with co- aintenance? Shall we create a team-context for maintenance?
> >>One possibility could be that we place the development of the LJT
> >>package under the roof of the pkx-x2go-devel@a.l.d.o packaging
> >>team(easy for me :-) ). Any other context is fine as well.
> >
> >I an with you.
> 
> Fathi? There also is a pkg-tigervnc project on Alioth, that would be
> an even better context, I guess.
> 
> >>> So we need to make the assignment of works who does what.
> >>
> >>Once Fathi gave his go, I will be happy to extract the diversion
> >>stuff from the library stuff.
> >>
> >>> I can help general simple packaging based on Ubuntu work but I can not
> >>> be competent on complicated library packaging with ABI compatibility
> >>> etc.
> >>
> >>I guess the QA has to be done by Fathi, Doko or someone with similar
> >>experience. However, we can give them our work and together the
> >>package may evolve.
> >
> >Yes.
> >
> >As I read the source, I can see why Independent JPEG Group is bitter.
> >
> >Modified file by non-IJG people are identifies as if they were done by
> >IJG people.  I am sure it is upsetting when code is broken from IJG
> >people's view.  I think no malice but just sloppiness ...
> 
> Not getting what you mean exactly here. Can anything be done about
> it? Anything that we can do?

I assume that Osamu refer to this line of the IJG license:

(1) If any part of the source code for this software is distributed, then this
README file must be included, with this copyright and no-warranty notice
unaltered; and any additions, deletions, or changes to the original files
must be clearly indicated in accompanying documentation.

For example, when I released libjpeg 6b1, I added a file README.6b1
with the complete list of modified files (in attachment).

(I am not especially fond of this requirement, but it is not really onerous).

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 
[README.6b1 (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fathi Boudra <fabo@debian.org>:
Bug#612341; Package wnpp. (Wed, 06 Jun 2012 06:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fathi Boudra <fabo@debian.org>. (Wed, 06 Jun 2012 06:21:03 GMT) Full text and rfc822 format available.

Message #231 received at 612341@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>, Fathi Boudra <fabo@debian.org>
Cc: Osamu Aoki <osamu@debian.org>, 612341@bugs.debian.org, Mathieu Malaterre <malat@debian.org>, Ivan Baldo <ibaldo@adinet.com.uy>, Igor Urazov <z0rc3r@gmail.com>, ballombe@debian.org, Matthias Klose <doko@debian.org>
Subject: libjpeg-turbo, getting it into wheezy
Date: Wed, 06 Jun 2012 08:18:14 +0200
[Message part 1 (text/plain, inline)]
Hi all,

it seems the discussion has come to an intermediary still point... I  
will pick up the thread then...

On So 03 Jun 2012 11:32:47 CEST Bill Allombert wrote:

>> Not getting what you mean exactly here. Can anything be done about
>> it? Anything that we can do?
>
> I assume that Osamu refer to this line of the IJG license:
>
> (1) If any part of the source code for this software is distributed,  
> then this
> README file must be included, with this copyright and no-warranty notice
> unaltered; and any additions, deletions, or changes to the original files
> must be clearly indicated in accompanying documentation.
>
> For example, when I released libjpeg 6b1, I added a file README.6b1
> with the complete list of modified files (in attachment).
>
> (I am not especially fond of this requirement, but it is not really onerous).

@Bill: Thanks for this extra info, this should be provided by  
libjpeg-turbo upstream and be re-modified by the Debian maintainers of  
libjpeg-turbo.

Most important questions currently are:

1. Is team maintenance wanted and ok (pkg-tigervnc team context).  
Fathi in the role of ITP holder, we need your statement here.

2. Is it ok to start working with:
http://anonscm.debian.org/gitweb/?p=users/osamu/libjpeg-turbo.git;a=summary
http://code.das-netzwerkteam.de/gitweb?p=debian/libjpeg-turbo.git;a=summary

3. Who does what?

4. Communication channels (IRC, pkg-tigervnc-devel@l.a.d.o, Jabber?)

5. Who does review, sponsor, upload the work?

Let us get moving...

Greets,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0xB588399B
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fathi Boudra <fabo@debian.org>:
Bug#612341; Package wnpp. (Fri, 08 Jun 2012 11:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fathi Boudra <fabo@debian.org>. (Fri, 08 Jun 2012 11:33:07 GMT) Full text and rfc822 format available.

Message #236 received at 612341@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Osamu Aoki <osamu@debian.org>
Cc: Fathi Boudra <fabo@debian.org>, 612341@bugs.debian.org, Mathieu Malaterre <malat@debian.org>, Ivan Baldo <ibaldo@adinet.com.uy>, Igor Urazov <z0rc3r@gmail.com>, ballombe@debian.org, Matthias Klose <doko@debian.org>
Subject: Re: Bug#612341: bumblebee, libjpeg-turbo: Wheezy does not work well with modern notebook PCs.
Date: Fri, 08 Jun 2012 13:29:51 +0200
[Message part 1 (text/plain, inline)]
Hi all,

On Sa 02 Jun 2012 20:53:10 CEST Osamu Aoki wrote:

>> > > We would have to import latest upstream on top of that
>> >
>> > Well, unless we all agree to reset git repo, this is impossible to do. I
>> > like to do it....
>>
>> +1 from me. However, as Fathi is ITP holder, he may have the last word.
>
> I know.  But it is easy to have another repo with everything :-)
> Alioth can host it:
>
>   http://anonscm.debian.org/gitweb/?p=users/osamu/libjpeg-turbo.git

just for the record...

I have adopted my and osamu's approach of libjpeg-turbo.git to
http://anonscm.debian.org/gitweb/?p=collab-maint/libjpeg-turbo.git

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0xB588399B
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fathi Boudra <fabo@debian.org>:
Bug#612341; Package wnpp. (Sat, 16 Jun 2012 11:09:36 GMT) Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fathi Boudra <fabo@debian.org>. (Sat, 16 Jun 2012 11:09:42 GMT) Full text and rfc822 format available.

Message #241 received at 612341@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>, Fathi Boudra <fabo@debian.org>, 612341@bugs.debian.org, Mathieu Malaterre <malat@debian.org>, Ivan Baldo <ibaldo@adinet.com.uy>, Igor Urazov <z0rc3r@gmail.com>, ballombe@debian.org, Matthias Klose <doko@debian.org>
Subject: Re: libjpeg-turbo, getting it into wheezy
Date: Sat, 16 Jun 2012 20:04:18 +0900
Hi,

(I had email problem ....resending ...)

On Wed, Jun 06, 2012 at 08:18:14AM +0200, Mike Gabriel wrote:
> Hi all,
> 
> it seems the discussion has come to an intermediary still point... I
> will pick up the thread then...
> 
> On So 03 Jun 2012 11:32:47 CEST Bill Allombert wrote:
> 
> >>Not getting what you mean exactly here. Can anything be done about
> >>it? Anything that we can do?
> >
> >I assume that Osamu refer to this line of the IJG license:
> >
> >(1) If any part of the source code for this software is
> >distributed, then this
> >README file must be included, with this copyright and no-warranty notice
> >unaltered; and any additions, deletions, or changes to the original files
> >must be clearly indicated in accompanying documentation.
> >
> >For example, when I released libjpeg 6b1, I added a file README.6b1
> >with the complete list of modified files (in attachment).
> >
> >(I am not especially fond of this requirement, but it is not really onerous).

Yes.  And also, some source codes are modified in the way which may look
like they were released by IJG while including libjpeg-turbo copyright
and names included.  For example: jpegtran.c

| /*
|  * jpegtran.c
|  *
|  * Copyright (C) 1995-2010, Thomas G. Lane, Guido Vollbeding.
|  * Copyright (C) 2010, D. R. Commander.
|  * This file is part of the Independent JPEG Group's software.
|  * For conditions of distribution and use, see the accompanying README file.
|  *
|  * This file contains a command-line user interface for JPEG transcoding.
|  * It is very similar to cjpeg.c, and partly to djpeg.c, but provides
|  * lossless transcoding between different JPEG file formats.  It also
|  * provides some lossless and sort-of-lossless transformations of JPEG data.
|  */

As I understand, D. R. Commander is not Independent JPEG Group.  This is a bit
ambiguous. (Since README is modified, this is not totally wrong but still
misleading.) I would add one line.

|  * This file ws part of the Independent JPEG Group's software.
|  * This file is adoped and modified for libjpeg-turbo.
|  * For conditions of distribution and use, see the accompanying README file.


> @Bill: Thanks for this extra info, this should be provided by
> libjpeg-turbo upstream and be re-modified by the Debian maintainers
> of libjpeg-turbo.

True to some extent.  Basically, when we package, we need to check all
licenses.  Especially for this type of software, its careful review is
strongly recommended for debian/copyright.  I think it is prudent send a
patch to upstream, if we can.

> Most important questions currently are:
> 
> 1. Is team maintenance wanted and ok (pkg-tigervnc team context).
> Fathi in the role of ITP holder, we need your statement here.

Please.  (Within few days since we are close to freeze.)
 
> 2. Is it ok to start working with:
> http://anonscm.debian.org/gitweb/?p=users/osamu/libjpeg-turbo.git;a=summary
> http://code.das-netzwerkteam.de/gitweb?p=debian/libjpeg-turbo.git;a=summary

I merged your changes.   Fathi, will you reset your collab-maint
archive.  So we can make better history and work together.

> 3. Who does what?

I can help routine simple works.  But one of you have to be the
maintainer. I can sponsor.

> 4. Communication channels (IRC, pkg-tigervnc-devel@l.a.d.o, Jabber?)

For now, good enough.  I do not do Jabber.
 
> 5. Who does review, sponsor, upload the work?

First, we still need to fix few things. Quick build and lintian found
some bugs and i fixed in my repo.  Please check.

I did not revert your change for debian/copyright.  But changing from
LGPL to GPL is not wise thing to do.  Did you consult previous
maintainer to get consent?  Also, I do not understand why debian/* was
marked as LGPL to start with while it contains patch to BSD upstream.
Cosidering situation, this may not cause much real problem but unusual.

I have not addressed following warnings.

W: libturbojpeg: shlib-without-versioned-soname usr/lib/x86_64-linux-gnu/libturbojpeg.so libturbojpeg.so
N: 
N:    The listed shared library in a public library directory has an SONAME
N:    that does not contain any versioning information, either after the .so
N:    or before it and set off by a hyphen. It cannot therefore be represented
N:    in the shlibs system, and if linked by binaries its interface cannot
N:    safely change. There is no backward-compatible way to migrate programs
N:    linked against it to a new ABI.
N:    
N:    Normally, this means the shared library is a private library for a
N:    particular application and is not meant for general use. Policy
N:    recommends that such libraries be installed in a subdirectory of
N:    /usr/lib rather than in a public shared library directory.
N:    
N:    To view the SONAME of a shared library, run readelf -d on the shared
N:    library and look for the tag of type SONAME.
N:    
N:    There are some special stub libraries or special-purpose shared objects
N:    for which an ABI version is not meaningful. If this is one of those
N:    cases, please add an override.
N:    
N:    Refer to Debian Policy Manual section 10.2 (Libraries) and Debian Policy
N:    Manual section 8.6 (Dependencies between the library and other packages
N:    - the shlibs system) for details.
N:    
N:    Severity: normal, Certainty: possible
N:    
N:    Check: shared-libs, Type: binary, udeb
N: 
I: libturbojpeg: no-symbols-control-file usr/lib/x86_64-linux-gnu/libturbojpeg.so
N: 
N:    Although the package includes a shared library, the package does not
N:    have a symbols control file.
N:    
N:    dpkg can use symbols files in order to generate more accurate library
N:    dependencies for applications, based on the symbols from the library
N:    that are actually used by the application.
N:    
N:    Refer to the dpkg-gensymbols(1) manual page and
N:    http://wiki.debian.org/UsingSymbolsFiles for details.
N:    
N:    Severity: wishlist, Certainty: certain
N:    
N:    Check: shared-libs, Type: binary, udeb
N: 
O: libjpeg-turbo8: package-name-doesnt-match-sonames libjpeg8
N: 
N:    The package name of a library package should usually reflect the soname
N:    of the included library. The package name can determined from the
N:    library file name with the following code snippet:
N:    
N:     $ objdump -p /path/to/libfoo-bar.so.1.2.3 | sed -n -e's/^[[:space:]]*SONAME[[:space:]]*//p' | sed -e's/\([0-9]\)\.so\./\1-/; s/\.so\.//'
N:    
N:    Severity: normal, Certainty: possible
N:    
N:    Check: binaries, Type: binary, udeb
N: 
W: libjpeg-turbo8: shlibs-declares-dependency-on-other-package libjpeg8 (>= 8)
N: 
N:    This package declares in its shlibs control file either a dependency on
N:    some other package not listed in the Provides of this package or on a
N:    version of this package that the package version doesn't satisfy.
N:    
N:    Packages should normally only list in their shlibs control file the
N:    shared libraries included in that package, and therefore the
N:    dependencies listed there should normally be satisfied by either the
N:    package itself or one of its Provides.
N:    
N:    In unusual circumstances where it's necessary to declare more complex
N:    dependencies in the shlibs control file, please add a lintian override
N:    for this warning.
N:    
N:    Refer to Debian Policy Manual section 8.6 (Dependencies between the
N:    library and other packages - the shlibs system) for details.
N:    
N:    Severity: normal, Certainty: possible
N:    
N:    Check: shared-libs, Type: binary, udeb
N: 
O: libjpeg-turbo8: symbols-declares-dependency-on-other-package libjpeg8 #MINVER#
N: 
N:    This package declares in its symbols control file a dependency on some
N:    other package (and not one listed in the Provides of this package).
N:    
N:    Packages should normally only list in their symbols control file the
N:    shared libraries included in that package, and therefore the
N:    dependencies listed there should normally be satisfied by either the
N:    package itself or one of its Provides.
N:    
N:    In unusual circumstances where it's necessary to declare more complex
N:    dependencies in the symbols control file, please add a lintian override
N:    for this warning.
N:    
N:    Refer to Debian Policy Manual section 8.6 (Dependencies between the
N:    library and other packages - the shlibs system) for details.
N:    
N:    Severity: normal, Certainty: possible
N:    
N:    Check: shared-libs, Type: binary, udeb
N: 
I: libjpeg-turbo8: unused-override shlibs-declares-dependency-on-other-package libjpeg8 #MINVER#
N: 
N:    Lintian discovered an unused override entry in its database. Most likely
N:    it was used for a false-positive that has been fixed. However, some tags
N:    are only triggered in packages built on certain architectures. In this
N:    case, the override may need an architecture qualifier.
N:    
N:    If the override is unused, please remove it from the overrides file.
N:    
N:    Refer to Lintian User's Manual section 2.4.3 (Architecture specific
N:    overrides) for details.
N:    
N:    Severity: wishlist, Certainty: certain
N: 
W: libjpeg-turbo-test: binary-without-manpage usr/bin/tjunittest
N: 
N:    Each binary in /usr/bin, /usr/sbin, /bin, /sbin or /usr/games should
N:    have a manual page
N:    
N:    Note that though the man program has the capability to check for several
N:    program names in the NAMES section, each of these programs should have
N:    its own manual page (a symbolic link to the appropriate manual page is
N:    sufficient) because other manual page viewers such as xman or tkman
N:    don't support this.
N:    
N:    If the name of the man page differs from the binary by case, man may be
N:    able to find it anyway; however, it is still best practice to make the
N:    case of the man page match the case of the binary.
N:    
N:    If the man pages are provided by another package on which this package
N:    depends, lintian may not be able to determine that man pages are
N:    available. In this case, after confirming that all binaries do have man
N:    pages after this package and its dependencies are installed, please add
N:    a lintian override.
N:    
N:    Refer to Debian Policy Manual section 12.1 (Manual pages) for details.
N:    
N:    Severity: normal, Certainty: possible
N:    
N:    Check: manpages, Type: binary
N: 
W: libjpeg-turbo-progs: hardening-no-fortify-functions usr/bin/jpegexiforient
N: 
N:    This package provides an ELF binary that lacks the use of fortified libc
N:    functions. Either there are no potentially unfortified functions called
N:    by any routines, all unfortified calls have already been fully validated
N:    at compile-time, or the package was not built with the default Debian
N:    compiler flags defined by dpkg-buildflags. If built using
N:    dpkg-buildflags directly, be sure to import CPPFLAGS.
N:    
N:    NB: Due to false-positives, Lintian ignores some unprotected functions
N:    (e.g. memcpy).
N:    
N:    Refer to http://wiki.debian.org/Hardening and
N:    http://bugs.debian.org/673112 for details.
N:    
N:    Severity: normal, Certainty: possible
N:    
N:    Check: binaries, Type: binary, udeb
N: 
W: libjpeg-turbo-progs: hardening-no-relro usr/bin/jpegexiforient
N: 
N:    This package provides an ELF binary that lacks the "read-only
N:    relocation" link flag. This package was likely not built with the
N:    default Debian compiler flags defined by dpkg-buildflags. If built using
N:    dpkg-buildflags directly, be sure to import LDFLAGS.
N:    
N:    Refer to http://wiki.debian.org/Hardening for details.
N:    
N:    Severity: normal, Certainty: certain
N:    
N:    Check: binaries, Type: binary, udeb
N: 
I: libjpeg-turbo-progs: hyphen-used-as-minus-sign usr/share/man/man1/jpegexiforient.1.gz:54
N: 
N:    This manual page seems to contain a hyphen where a minus sign was
N:    intended. By default, "-" chars are interpreted as hyphens (U+2010) by
N:    groff, not as minus signs (U+002D). Since options to programs use minus
N:    signs (U+002D), this means for example in UTF-8 locales that you cannot
N:    cut and paste options, nor search for them easily. The Debian groff
N:    package currently forces "-" to be interpreted as a minus sign due to
N:    the number of manual pages with this problem, but this is a
N:    Debian-specific modification and hopefully eventually can be removed.
N:    
N:    "-" must be escaped ("\-") to be interpreted as minus. If you really
N:    intend a hyphen (normally you don't), write it as "\(hy" to emphasise
N:    that fact. See groff(7) and especially groff_char(7) for details, and
N:    also the thread starting with
N:    http://lists.debian.org/debian-devel/2003/debian-devel-200303/msg01481.h
N:    tml
N:    
N:    If you use some tool that converts your documentation to groff format,
N:    this tag may indicate a bug in the tool. Some tools convert dashes of
N:    any kind to hyphens. The safe way of converting dashes is to convert
N:    them to "\-".
N:    
N:    Because this error can occur very often, Lintian shows only the first 10
N:    occurrences for each man page and give the number of suppressed
N:    occurrences. If you want to see all warnings, run Lintian with the
N:    -d/--debug option.
N:    
N:    Refer to /usr/share/doc/groff-base/README.Debian and the groff_char(7)
N:    manual page for details.
N:    
N:    Severity: wishlist, Certainty: possible
N:    
N:    Check: manpages, Type: binary
N: 

Osamu




Added indication that 612341 affects libjpeg8 Request was from Bob Bib <bobbibmpn@mail.ru> to control@bugs.debian.org. (Sun, 26 Aug 2012 20:09:06 GMT) Full text and rfc822 format available.

Merged 602034 612341 Request was from Bob Bib <bobbibmpn@mail.ru> to control@bugs.debian.org. (Sun, 26 Aug 2012 20:21:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fathi Boudra <fabo@debian.org>:
Bug#612341; Package wnpp. (Wed, 31 Oct 2012 21:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Tagliamonte <paultag@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fathi Boudra <fabo@debian.org>. (Wed, 31 Oct 2012 21:12:06 GMT) Full text and rfc822 format available.

Message #250 received at 612341@bugs.debian.org (full text, mbox):

From: Paul Tagliamonte <paultag@debian.org>
To: 612341@bugs.debian.org
Subject: Re: libjpeg-turbo, getting it into jessie
Date: Wed, 31 Oct 2012 17:13:07 -0400
[Message part 1 (text/plain, inline)]
I'm going to poke this mess of a bug report.

Let's do something about this.

Cheers,
  Paul

-- 
 .''`.  Paul Tagliamonte <paultag@debian.org>
: :'  : Proud Debian Developer
`. `'`  4096R / 8F04 9AD8 2C92 066C 7352  D28A 7B58 5B30 807C 2A87
 `-     http://people.debian.org/~paultag
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fathi Boudra <fabo@debian.org>:
Bug#612341; Package wnpp. (Mon, 31 Dec 2012 00:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to DRC <dcommander@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fathi Boudra <fabo@debian.org>. (Mon, 31 Dec 2012 00:12:03 GMT) Full text and rfc822 format available.

Message #255 received at 612341@bugs.debian.org (full text, mbox):

From: DRC <dcommander@users.sourceforge.net>
To: 612341@bugs.debian.org
Subject: Regarding libjpeg-turbo
Date: Sun, 30 Dec 2012 18:09:10 -0600
Hi there.  I am just now coming across this thread and thought I should 
interject my take on the situation.  I am not, under any circumstances, 
intending to start or continue a holy war, and this will be the last 
thing I have to say on the matter unless someone has a specific question 
for me, but I do want to clarify a few things that may be relevant to 
the discussions above:

(1) Regarding LJT being "obsolete" or "removing features": 
libjpeg-turbo forked from libjpeg prior to the involvement of the 
current libjpeg developers (Guido, et al.)  Our code is most directly 
based on the SIMD enhancements to jpeg-6b made by Miyasaka Masaru in 
2006, which predate jpeg-7 by several years.  We did not approach the 
current IJG developers about our fork because, at the time, they were 
not the current IJG developers.  Originally, libjpeg-turbo was an 
in-tree codec used by TigerVNC, mostly consisting of libjpeg/SIMD with 
modifications from Cendio AB to support SSE2 instructions.  In early 
2009, Cendio AB contracted with me to add 64-bit SSE2 support and 
accelerated Huffman coding, thus making our codec perform almost as fast 
as commercial codecs like Intel IPP.  Over the next year, other projects 
got wind of our efforts, and significant demand arose for our codec to 
be made into an independent project, which it was in early 2010.  Even 
though more general-purpose projects have adopted LJT in recent years, 
our focus remains much narrower than that of the IJG.  We are not trying 
to be a reference implementation.

(2) Regarding license compatibility:  At the time libjpeg-turbo became 
an independent project, I released the libjpeg/SIMD code from TigerVNC 
largely as-is.  Thus, the TurboJPEG API wrapper and the Huffman codec 
(which were borrowed from VirtualGL) were still licensed under the LGPL. 
 The Huffman codec license was easily worked around by dropping in 
jchuff.c/jdhuff.c from an unmodified release of libjpeg v6b (Mozilla, in 
fact, did this for quite a while), and the TurboJPEG wrapper was just a 
convenience feature-- it wasn't essential to the functionality of the 
codec.  In any case, all of that code has been refactored in 
libjpeg-turbo 1.2 and later.  The Huffman codec now bears the same 
license as libjpeg, and the TurboJPEG wrapper bears a less restrictive 
3-clause BSD license.  I believe this license to be compatible with the 
libjpeg license, but if someone disagrees, then please let me know. 
This refactoring project was paid for by a company and approved by the 
company's lawyers, so we did a lot of due diligence on it.  Not that the 
IJG developers would ever want to, but I am not aware of any legal 
issues that would prevent them from merging the LJT 1.2+ code back into 
libjpeg.  Parts of libjpeg-turbo 1.1.x and prior did fall under a 
libjpeg-incompatible license-- because of expedience and because the 
projects that initially needed to use libjpeg-turbo were all GPL or LGPL 
anyway, so it didn't matter.  However, the SIMD extensions that are 
responsible for most of our speedup have always been released under a 
libjpeg-compatible licence.

(3) Regarding hostility:  I was not aware of any resentment toward our 
project until Fedora started integrating LJT (not any of my doing, BTW-- 
Red Hat spearheaded the effort initially because they were integrating 
TigerVNC) and Guido posted the following: 
https://bugzilla.redhat.com/show_bug.cgi?id=639672#c7.  This was long 
before any claim that we were violating the libjpeg license.  That claim 
is a relatively new thing-- the first I heard about it was in the 
jpeg-8d README file from early 2012.  Back in 2010, the primary 
objection seemed to be that we didn't ask permission to exist (as if we 
needed to-- it's open source), but then the comment goes on to say that, 
had we asked, it wouldn't have been granted.  At the time that 
conversation took place, the only code in LJT was from Tom Lane, 
Miyasaka Masaru, Pierre Ossman, and myself.  Tom Lane did not object to 
LJT and, in fact, offered up words of support for our efforts: 
http://lists.fedoraproject.org/pipermail/devel/2010-May/136976.html.  In 
a nutshell, practically from the moment our project split off from 
TigerVNC, the new IJG started firing shots across our bow, and it became 
clear that no matter what we did, we weren't going to make them happy. 
Thus, our only choice was to do what we believed to be right.  We 
certainly could not be expected to seek their advice after being 
publicly slandered.

(4) Regarding API compatibility:  In late 2010, I merged part of the 
jpeg-7 and jpeg-8 code into libjpeg-turbo in order to provide ABI 
compatibility with jpeg-7 and jpeg-8, so projects that already ported to 
jpeg-7 or jpeg-8 could take advantage of the SIMD extensions.  A 
commercial software developer paid me to implement the ABI compatibility 
feature, and it is what it is.  We do not claim that LJT is fully 
compatible with jpeg-8.  Specifically, the most recent code in trunk 
lacks support for the SmartScale format and the features that depend on 
that format.  The open source community is not exactly scrambling for 
SmartScale to be implemented in LJT-- and by that, I mean that there has 
been zero demand for it.  Mozilla and Chrome (which both use LJT) are 
bellwethers, here-- if they decide that SmartScale is ubiquitous enough 
to warrant their browsers decoding that format, then they'll ask us to 
implement it.  Note, however, that only two browsers (Chrome and 
Firefox) use libjpeg-turbo, but they are hardly the only software that 
doesn't support SmartScale files.  Safari and IE won't parse those web 
sites that Guido posted, either.

(5) Regarding arithmetic coding:  libjpeg-turbo does support arithmetic 
encoding/decoding, and those features are enabled by default when 
building the code with jpeg-7 and jpeg-8 ABI emulation.  They can 
optionally be enabled when building the code with jpeg-6b ABI emulation. 
 There is no technical reason why Mozilla, Chrome, and any other 
software that uses libjpeg-turbo can't encode/decode arithmetic images. 
 The developers of those browsers have simply chosen not to enable the 
feature (https://bugzilla.mozilla.org/show_bug.cgi?id=680385).  Their 
reasoning seems to be that other browsers, such as IE and Safari (which 
don't use libjpeg-turbo) can't decode arithmetic coded JPEGs, so there 
is no reason for Firefox and Chrome to do so.  You can agree or disagree 
with their reasoning, but either way, don't blame us.

(6) Regarding the README file:  In the process of merging part of the 
jpeg-7 and jpeg-8 code in order to provide ABI compatibility, I also 
merged some of the jpeg-7 and jpeg-8 documentation, in order to describe 
the subset of jpeg-7 and jpeg-8 features that were implemented.  I did 
not merge all of the upstream README file, because frankly, that file in 
jpeg-7 and jpeg-8 includes some very impolitic language that slams the 
ISO committee as well as the authors of one of the definitive books on 
the JPEG format.  If IJG wants us to include more of the text from their 
README file, then they need to rewrite it to be more balanced.  And, of 
course, the README file in jpeg-8d slams our project as well, so we can 
hardly be expected to include that text.  We have clearly indicated at 
the top of our modified README file that it was modified.  The libjpeg 
license says that the copyright and no warranty notice from the README 
must be unaltered, but it doesn't say that the README must be included 
verbatim.  I included the relevant text that describes the subset of 
libjpeg that we implement.  If, however, there are specific 
modifications that can be made to our README to make it less 
"misleading" in the eyes of the IJG, then I'm happy to do that, as long 
as those modifications do not include adding inflammatory text.

(7) Regarding the copyright headers:  If there are objections to the way 
in which we have modified the copyright headers of specific files, then 
I am happy to change that (Osamu's suggestion above makes sense.)  We 
were following what is generally considered common practice for open 
source code, which is to add one's own copyright message to the existing 
headers, and we are far from the only people who have done that with 
libjpeg.  You can understand why there's a bit of a quandary in the case 
of libjpeg.  It is generally considered very bad practice to alter a 
copyright notice in an open source file, but the copyright notices in 
libjpeg also say "This file is part of the Independent JPEG Group's 
Software."  I agree that someone reading that file might be given the 
wrong impression, but it's hard to tell which is the bigger sin: 
leaving that ambiguity or altering the copyright header.  Ultimately, we 
opted to keep the headers in tact and include a README-turbo.txt file 
that makes it clear that libjpeg-turbo is not libjpeg.  This was not 
sloppiness and definitely not malice.  We thought all of these issues 
through and did what we believed to be best.  If, at any point, the IJG 
had raised objections to us (in a more political manner than blasting us 
in its README file, that is), we would have happily made whatever header 
modifications they proposed.

(8) Regarding Wikipedia:  We are not in control of the libjpeg Wikipedia 
page, nor did we add the libjpeg-turbo blurb to that page.  I stumbled 
upon the page after someone else had added a blurb about libjpeg-turbo 
to it.  Their blurb actually slammed IJG a bit, so I edited it so that 
it took a more balanced tone.  I also corrected a couple of factual 
errors about libjpeg-turbo.  You can easily verify what I changed by 
looking at the Wikipedia history.  I've made exactly 3 modifications to 
the page, none of them outside the scope of the libjpeg-turbo blurb that 
was already there.

If there are any further issues with libjpeg-turbo, I am more than happy 
to address them.  libjpeg-turbo exists solely because people in the 
community wanted it.  I will not apologize for the success of our codec. 
 I have never done anything other than attempt to meet the demands of 
the open source community, and libjpeg-turbo is thus a product of that 
community.

DRC



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fathi Boudra <fabo@debian.org>:
Bug#612341; Package wnpp. (Fri, 01 Mar 2013 15:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fathi Boudra <fabo@debian.org>. (Fri, 01 Mar 2013 15:15:06 GMT) Full text and rfc822 format available.

Message #260 received at 612341@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: 612341@bugs.debian.org
Cc: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, Fathi Boudra <fabo@debian.org>, Bill Allombert <ballombe@debian.org>, Paul Tagliamonte <paultag@debian.org>
Subject: could anyone summarize the status on libjpeg-turbo WNPPs?
Date: Fri, 1 Mar 2013 10:11:10 -0500
Hi Guys,

I wonder if anyone could give a concise summary stopping libjpeg-turbo
from being uploaded?  there seemed to be lots of work, clarifications
from upstream, downstream distributions including it,... and no
clarity why we do not have it in Debian yet (could simply be a lack of
time?).

Thank you in advance!
-- 
Yaroslav O. Halchenko
http://neuro.debian.net http://www.pymvpa.org http://www.fail2ban.org
Postdoctoral Fellow,   Department of Psychological and Brain Sciences
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fathi Boudra <fabo@debian.org>:
Bug#612341; Package wnpp. (Sat, 09 Mar 2013 10:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fathi Boudra <fabo@debian.org>. (Sat, 09 Mar 2013 10:39:03 GMT) Full text and rfc822 format available.

Message #265 received at 612341@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 612341@bugs.debian.org
Cc: control@bugs.debian.org
Subject: The pkg-tigervnc team is interested in taking over this RFP/ITP
Date: Sat, 09 Mar 2013 11:33:58 +0100
[Message part 1 (text/plain, inline)]
retitle #612341 ITP: libjpeg-turbo -- an accelerated libjpeg library
owner #612341
thanks

Dear all,

The pkg-tigervnc team will take over this task of packaging  
libjpeg-turbo. I am aware of the earlier discussions about libjpeg vs.  
libjpeg-turbo.

PLEASE NOTE: We will _NOT_ replace libjpeg in Debian by libjpeg-turbo.  
The installation of libjpeg-turbo will be completely optional and both  
libraries will be able to co-exist on one Debian installation.

Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Owner changed from Fathi Boudra <fabo@debian.org> to mike.gabriel@das-netzwerkteam.de. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.debian.org. (Sat, 09 Mar 2013 10:51:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, mike.gabriel@das-netzwerkteam.de:
Bug#612341; Package wnpp. (Sat, 16 Mar 2013 02:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, mike.gabriel@das-netzwerkteam.de. (Sat, 16 Mar 2013 02:12:04 GMT) Full text and rfc822 format available.

Message #272 received at 612341@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Yaroslav Halchenko <debian@onerussian.com>
Cc: 612341@bugs.debian.org, Fathi Boudra <fabo@debian.org>, Bill Allombert <ballombe@debian.org>, Paul Tagliamonte <paultag@debian.org>
Subject: Re: could anyone summarize the status on libjpeg-turbo WNPPs?
Date: Sat, 16 Mar 2013 03:09:34 +0100
[Message part 1 (text/plain, inline)]
Hi Yaroslav,

On Fr 01 Mär 2013 16:11:10 CET Yaroslav Halchenko wrote:

> Hi Guys,
>
> I wonder if anyone could give a concise summary stopping libjpeg-turbo
> from being uploaded?  there seemed to be lots of work, clarifications
> from upstream, downstream distributions including it,... and no
> clarity why we do not have it in Debian yet (could simply be a lack of
> time?).
>
> Thank you in advance!

I have experimented around with libjpeg-turbo.git on collab-maint recently.

I have updated upstream to 1.2.90.

By now the current version already looks quite promosing (I hope). The  
dpkg-divert stuff, I have remove. The current policy is:

  o link native libjpeg-turbo code against libturbojpeg1
    -> a package like TigerVNC or VirtualGL should use libturbojpeg1
  o if the system admin chooses to replaced libjpeg8 by libjpeg8-turbo,
    he/she may do so. Only then libjpeg8 is replaced (including all
    consequences for all applications on the system)

Only open (lintian) issues:

mike@sid:~/build$ lintian -IE --pedantic --show-overrides --color auto  
libjpeg-turbo_1.2.90-1_amd64.changes
X: libturbojpeg1: shlib-calls-exit  
usr/lib/x86_64-linux-gnu/libturbojpeg.so.1.2.90
W: libjpeg-turbo-test: binary-without-manpage usr/bin/jcstest
W: libjpeg-turbo-test: binary-without-manpage usr/bin/tjunittest
W: libjpeg-turbo-progs: hardening-no-relro usr/bin/jpegexiforient
W: libjpeg-turbo-progs: hardening-no-fortify-functions usr/bin/jpegexiforient
N: yes, the package has a different name
O: libjpeg8-turbo: package-name-doesnt-match-sonames libjpeg8
X: libjpeg8-turbo: shlib-calls-exit usr/lib/x86_64-linux-gnu/libjpeg.so.8.0.2
N: yes, we specifically want linkers to depend on the standard libjpeg name
O: libjpeg8-turbo: shlibs-declares-dependency-on-other-package libjpeg8 (>= 8)

Can you take a look and give feedback till here?

Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, mike.gabriel@das-netzwerkteam.de:
Bug#612341; Package wnpp. (Wed, 20 Mar 2013 15:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <yoh@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, mike.gabriel@das-netzwerkteam.de. (Wed, 20 Mar 2013 15:03:04 GMT) Full text and rfc822 format available.

Message #277 received at 612341@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <yoh@debian.org>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 612341@bugs.debian.org, Fathi Boudra <fabo@debian.org>, Bill Allombert <ballombe@debian.org>, Paul Tagliamonte <paultag@debian.org>, Matthias Klose <doko@ubuntu.com>, Tom Gall <tom.gall@linaro.org>
Subject: Re: could anyone summarize the status on libjpeg-turbo WNPPs? [question for Tom]
Date: Wed, 20 Mar 2013 10:59:32 -0400
Hi Mike et al.,

On Sat, 16 Mar 2013, Mike Gabriel wrote:
> >I wonder if anyone could give a concise summary stopping libjpeg-turbo
> >from being uploaded?  there seemed to be lots of work, clarifications
> >from upstream, downstream distributions including it,... and no
> >clarity why we do not have it in Debian yet (could simply be a lack of
> >time?).

> >Thank you in advance!

> I have experimented around with libjpeg-turbo.git on collab-maint recently.
> I have updated upstream to 1.2.90.

Thanks for pushing it forward!

Let me start with boring stuff:

- we should clarify debian/copyright content on debian/* materials
  copyright/license

  judging from git history, debian/* is not only "copyright" by our team
  but also by 2010, 2011 Linaro Limited; 

  original license of Tom's (Linaro) work was LGPL-2.1 (probably for no
  specific reason)

  then Matthias Klose <doko@ubuntu.com>  also contributed (no changes in
  debian/copyright were done though)

  and then there was
+  * Drop outdated copyright notice for /debian folder and replace by
+    GPL-2+ copyright entry in /debian/copyright.

  which imho is incorrect -- we cannot subsume contributions of Tom and
Matthias   without their agreement ... moreover for Linaro's portion it might
even be not that easy -- so we should just maintain that copyright entry as
long as current work is based on their work ;)  But I am CCing them now
(may be they would like to join the team) -- 

  Tom -- do you remember a reason for choosing GPL for the debian/* works?
  Ideally we should stay with a license compatible with upstream, in this case
  BSD-3.  Would it be possible to change the license for your works, or am I 
  missing the point here?

- debian/changelog

  as long as this work is based on someone else's work, I would prefer to keep
the history, only replace "unstable" with "UNRELEASED" or any other
distribution/release where that version was available (e.g precise)
 

> By now the current version already looks quite promosing (I hope).
> The dpkg-divert stuff, I have remove. The current policy is:

>   o link native libjpeg-turbo code against libturbojpeg1
>     -> a package like TigerVNC or VirtualGL should use libturbojpeg1
>   o if the system admin chooses to replaced libjpeg8 by libjpeg8-turbo,
>     he/she may do so. Only then libjpeg8 is replaced (including all
>     consequences for all applications on the system)

> Only open (lintian) issues:

> mike@sid:~/build$ lintian -IE --pedantic --show-overrides --color
> auto libjpeg-turbo_1.2.90-1_amd64.changes
> X: libturbojpeg1: shlib-calls-exit
> usr/lib/x86_64-linux-gnu/libturbojpeg.so.1.2.90
> X: libjpeg8-turbo: shlib-calls-exit usr/lib/x86_64-linux-gnu/libjpeg.so.8.0.2

apparently inherent in libjpeg as well (and quite a few other tools) but they
do not provide a lintian override with a description and it seems to me that it
might indeed be a "legit violation" -- needs some analysis

> W: libjpeg-turbo-test: binary-without-manpage usr/bin/jcstest
> W: libjpeg-turbo-test: binary-without-manpage usr/bin/tjunittest

I would just override those with a notice that no upstream manpages are
provided and these ones are of limited user use

related:  I see empty override_dh_auto_test: -- shouldn't package better
exercise those tests at build time and fail if they fail (the practice I adhere
to in my packages)?

> W: libjpeg-turbo-progs: hardening-no-relro usr/bin/jpegexiforient
> W: libjpeg-turbo-progs: hardening-no-fortify-functions usr/bin/jpegexiforient

now I spotted debian/extra -- needs an entry into debian/copyright, e.g.
Guido Vollbeding <guido@jpegclub.org>

> N: yes, the package has a different name
> O: libjpeg8-turbo: package-name-doesnt-match-sonames libjpeg8
> N: yes, we specifically want linkers to depend on the standard libjpeg name
> O: libjpeg8-turbo: shlibs-declares-dependency-on-other-package libjpeg8 (>= 8)

good ;)

> Can you take a look and give feedback till here?

I will try to build the beastie now ;)

-- 
Yaroslav O. Halchenko
http://neuro.debian.net http://www.pymvpa.org http://www.fail2ban.org
Senior Research Associate,     Psychological and Brain Sciences Dept.
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, mike.gabriel@das-netzwerkteam.de:
Bug#612341; Package wnpp. (Wed, 20 Mar 2013 15:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, mike.gabriel@das-netzwerkteam.de. (Wed, 20 Mar 2013 15:21:04 GMT) Full text and rfc822 format available.

Message #282 received at 612341@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Yaroslav Halchenko <yoh@debian.org>
Cc: 612341@bugs.debian.org, Fathi Boudra <fabo@debian.org>, Bill Allombert <ballombe@debian.org>, Paul Tagliamonte <paultag@debian.org>, Matthias Klose <doko@ubuntu.com>, Tom Gall <tom.gall@linaro.org>
Subject: Re: could anyone summarize the status on libjpeg-turbo WNPPs? [question for Tom]
Date: Wed, 20 Mar 2013 16:18:27 +0100
[Message part 1 (text/plain, inline)]
Hi Yaroslav,

On Mi 20 Mär 2013 15:59:32 CET Yaroslav Halchenko wrote:

> Hi Mike et al.,
>
> On Sat, 16 Mar 2013, Mike Gabriel wrote:
>> >I wonder if anyone could give a concise summary stopping libjpeg-turbo
>> >from being uploaded?  there seemed to be lots of work, clarifications
>> >from upstream, downstream distributions including it,... and no
>> >clarity why we do not have it in Debian yet (could simply be a lack of
>> >time?).
>
>> >Thank you in advance!
>
>> I have experimented around with libjpeg-turbo.git on collab-maint recently.
>> I have updated upstream to 1.2.90.
>
> Thanks for pushing it forward!

Thanks for reviewing!

> Let me start with boring stuff:
>
> - we should clarify debian/copyright content on debian/* materials
>   copyright/license
>
>   judging from git history, debian/* is not only "copyright" by our team
>   but also by 2010, 2011 Linaro Limited;
>
>   original license of Tom's (Linaro) work was LGPL-2.1 (probably for no
>   specific reason)
>
>   then Matthias Klose <doko@ubuntu.com>  also contributed (no changes in
>   debian/copyright were done though)
>
>   and then there was
> +  * Drop outdated copyright notice for /debian folder and replace by
> +    GPL-2+ copyright entry in /debian/copyright.
>
>   which imho is incorrect -- we cannot subsume contributions of Tom and
> Matthias   without their agreement ... moreover for Linaro's portion it might
> even be not that easy -- so we should just maintain that copyright entry as
> long as current work is based on their work ;)  But I am CCing them now
> (may be they would like to join the team) --
>
>   Tom -- do you remember a reason for choosing GPL for the debian/* works?
>   Ideally we should stay with a license compatible with upstream, in  
> this case
>   BSD-3.  Would it be possible to change the license for your works, or am I
>   missing the point here?

My tendency is to use the upstream license for packaging as it makes  
applying patches and sending them to upstream far less bureaucratic  
(patches from /debian/patches then have the same license as upstream).

However, I guess your are right about the license history of  
/debian/*. GPL, though, I find totally inappropriate for a non-GPL  
upstream source.

> - debian/changelog
>
>   as long as this work is based on someone else's work, I would  
> prefer to keep
> the history, only replace "unstable" with "UNRELEASED" or any other
> distribution/release where that version was available (e.g precise)

Ah. Ok. Good point.

>> By now the current version already looks quite promosing (I hope).
>> The dpkg-divert stuff, I have remove. The current policy is:
>
>>   o link native libjpeg-turbo code against libturbojpeg1
>>     -> a package like TigerVNC or VirtualGL should use libturbojpeg1
>>   o if the system admin chooses to replaced libjpeg8 by libjpeg8-turbo,
>>     he/she may do so. Only then libjpeg8 is replaced (including all
>>     consequences for all applications on the system)
>
>> Only open (lintian) issues:
>
>> mike@sid:~/build$ lintian -IE --pedantic --show-overrides --color
>> auto libjpeg-turbo_1.2.90-1_amd64.changes
>> X: libturbojpeg1: shlib-calls-exit
>> usr/lib/x86_64-linux-gnu/libturbojpeg.so.1.2.90
>> X: libjpeg8-turbo: shlib-calls-exit  
>> usr/lib/x86_64-linux-gnu/libjpeg.so.8.0.2
>
> apparently inherent in libjpeg as well (and quite a few other tools) but they
> do not provide a lintian override with a description and it seems to  
> me that it
> might indeed be a "legit violation" -- needs some analysis

Could you take over that task, as I am not that experienced with  
shared library coding (and fixing).

>> W: libjpeg-turbo-test: binary-without-manpage usr/bin/jcstest
>> W: libjpeg-turbo-test: binary-without-manpage usr/bin/tjunittest
>
> I would just override those with a notice that no upstream manpages are
> provided and these ones are of limited user use

Ok.

> related:  I see empty override_dh_auto_test: -- shouldn't package better
> exercise those tests at build time and fail if they fail (the  
> practice I adhere
> to in my packages)?

Yes, agreed. I missed that point. I will check that later.

>> W: libjpeg-turbo-progs: hardening-no-relro usr/bin/jpegexiforient
>> W: libjpeg-turbo-progs: hardening-no-fortify-functions  
>> usr/bin/jpegexiforient
>
> now I spotted debian/extra -- needs an entry into debian/copyright, e.g.
> Guido Vollbeding <guido@jpegclub.org>

My todo.

>> N: yes, the package has a different name
>> O: libjpeg8-turbo: package-name-doesnt-match-sonames libjpeg8
>> N: yes, we specifically want linkers to depend on the standard libjpeg name
>> O: libjpeg8-turbo: shlibs-declares-dependency-on-other-package  
>> libjpeg8 (>= 8)
>
> good ;)

:-)

>> Can you take a look and give feedback till here?
>
> I will try to build the beastie now ;)

Good luck!

Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, mike.gabriel@das-netzwerkteam.de:
Bug#612341; Package wnpp. (Wed, 20 Mar 2013 15:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tom Gall <tom.gall@linaro.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, mike.gabriel@das-netzwerkteam.de. (Wed, 20 Mar 2013 15:45:04 GMT) Full text and rfc822 format available.

Message #287 received at 612341@bugs.debian.org (full text, mbox):

From: Tom Gall <tom.gall@linaro.org>
To: Yaroslav Halchenko <yoh@debian.org>
Cc: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 612341@bugs.debian.org, Fathi Boudra <fabo@debian.org>, Bill Allombert <ballombe@debian.org>, Paul Tagliamonte <paultag@debian.org>, Matthias Klose <doko@ubuntu.com>
Subject: Re: could anyone summarize the status on libjpeg-turbo WNPPs? [question for Tom]
Date: Wed, 20 Mar 2013 10:41:54 -0500
Hi!

On Wed, Mar 20, 2013 at 9:59 AM, Yaroslav Halchenko <yoh@debian.org> wrote:
> Hi Mike et al.,
>
> On Sat, 16 Mar 2013, Mike Gabriel wrote:
>> >I wonder if anyone could give a concise summary stopping libjpeg-turbo
>> >from being uploaded?  there seemed to be lots of work, clarifications
>> >from upstream, downstream distributions including it,... and no
>> >clarity why we do not have it in Debian yet (could simply be a lack of
>> >time?).
>
>> >Thank you in advance!
>
>> I have experimented around with libjpeg-turbo.git on collab-maint recently.
>> I have updated upstream to 1.2.90.
>
> Thanks for pushing it forward!
>
> Let me start with boring stuff:
>
> - we should clarify debian/copyright content on debian/* materials
>   copyright/license
>
>   judging from git history, debian/* is not only "copyright" by our team
>   but also by 2010, 2011 Linaro Limited;
>
>   original license of Tom's (Linaro) work was LGPL-2.1 (probably for no
>   specific reason)

Correct. It only covers the files within the debian directory anyway.
Other changes that were outside are under the license of the upstream
project.

>   then Matthias Klose <doko@ubuntu.com>  also contributed (no changes in
>   debian/copyright were done though)
>
>   and then there was
> +  * Drop outdated copyright notice for /debian folder and replace by
> +    GPL-2+ copyright entry in /debian/copyright.

Hm. News to me.

>   which imho is incorrect -- we cannot subsume contributions of Tom and
> Matthias   without their agreement ... moreover for Linaro's portion it might
> even be not that easy -- so we should just maintain that copyright entry as
> long as current work is based on their work ;)  But I am CCing them now
> (may be they would like to join the team) --
>
>   Tom -- do you remember a reason for choosing GPL for the debian/* works?
>   Ideally we should stay with a license compatible with upstream, in this case
>   BSD-3.  Would it be possible to change the license for your works, or am I
>   missing the point here?

I'm completely supportive of moving to BSD-3 for debian/*.

> - debian/changelog
>
>   as long as this work is based on someone else's work, I would prefer to keep
> the history, only replace "unstable" with "UNRELEASED" or any other
> distribution/release where that version was available (e.g precise)
>
>
>> By now the current version already looks quite promosing (I hope).
>> The dpkg-divert stuff, I have remove. The current policy is:
>
>>   o link native libjpeg-turbo code against libturbojpeg1
>>     -> a package like TigerVNC or VirtualGL should use libturbojpeg1
>>   o if the system admin chooses to replaced libjpeg8 by libjpeg8-turbo,
>>     he/she may do so. Only then libjpeg8 is replaced (including all
>>     consequences for all applications on the system)
>
>> Only open (lintian) issues:
>
>> mike@sid:~/build$ lintian -IE --pedantic --show-overrides --color
>> auto libjpeg-turbo_1.2.90-1_amd64.changes
>> X: libturbojpeg1: shlib-calls-exit

Yeah that looks like an issue. Worth a look into the current code.

>> usr/lib/x86_64-linux-gnu/libturbojpeg.so.1.2.90
>> X: libjpeg8-turbo: shlib-calls-exit usr/lib/x86_64-linux-gnu/libjpeg.so.8.0.2

Same.

> apparently inherent in libjpeg as well (and quite a few other tools) but they
> do not provide a lintian override with a description and it seems to me that it
> might indeed be a "legit violation" -- needs some analysis
>
>> W: libjpeg-turbo-test: binary-without-manpage usr/bin/jcstest
>> W: libjpeg-turbo-test: binary-without-manpage usr/bin/tjunittest

Hmm. These are both test binaries. I don't think it's a major loss
that there isn't a manpage for them.

> I would just override those with a notice that no upstream manpages are
> provided and these ones are of limited user use
>
> related:  I see empty override_dh_auto_test: -- shouldn't package better
> exercise those tests at build time and fail if they fail (the practice I adhere
> to in my packages)?

Yes that sounds reasonable to me.

>> W: libjpeg-turbo-progs: hardening-no-relro usr/bin/jpegexiforient
>> W: libjpeg-turbo-progs: hardening-no-fortify-functions usr/bin/jpegexiforient
>
> now I spotted debian/extra -- needs an entry into debian/copyright, e.g.
> Guido Vollbeding <guido@jpegclub.org>
>
>> N: yes, the package has a different name
>> O: libjpeg8-turbo: package-name-doesnt-match-sonames libjpeg8
>> N: yes, we specifically want linkers to depend on the standard libjpeg name
>> O: libjpeg8-turbo: shlibs-declares-dependency-on-other-package libjpeg8 (>= 8)
>
> good ;)
>
>> Can you take a look and give feedback till here?
>
> I will try to build the beastie now ;)

Thanks Yaroslav!

> --
> Yaroslav O. Halchenko
> http://neuro.debian.net http://www.pymvpa.org http://www.fail2ban.org
> Senior Research Associate,     Psychological and Brain Sciences Dept.
> Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
> Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
> WWW:   http://www.linkedin.com/in/yarik



--
Regards,
Tom

"Where's the kaboom!? There was supposed to be an earth-shattering
kaboom!" Marvin Martian
Tech Lead, Graphics Working Group | Linaro.org │ Open source software
for ARM SoCs
w) tom.gall att linaro.org
h) tom_gall att mac.com



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, mike.gabriel@das-netzwerkteam.de:
Bug#612341; Package wnpp. (Wed, 20 Mar 2013 16:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <yoh@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, mike.gabriel@das-netzwerkteam.de. (Wed, 20 Mar 2013 16:03:04 GMT) Full text and rfc822 format available.

Message #292 received at 612341@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <yoh@debian.org>
To: Tom Gall <tom.gall@linaro.org>
Cc: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 612341@bugs.debian.org, Fathi Boudra <fabo@debian.org>, Bill Allombert <ballombe@debian.org>, Paul Tagliamonte <paultag@debian.org>, Matthias Klose <doko@ubuntu.com>
Subject: Re: could anyone summarize the status on libjpeg-turbo WNPPs? [question for Tom]
Date: Wed, 20 Mar 2013 11:59:01 -0400
On Wed, 20 Mar 2013, Tom Gall wrote:

> >   then Matthias Klose <doko@ubuntu.com>  also contributed (no changes in
> >   debian/copyright were done though)
> >   and then there was
> > +  * Drop outdated copyright notice for /debian folder and replace by
> > +    GPL-2+ copyright entry in /debian/copyright.
> Hm. News to me.

do not worry -- this will be fixed ;)

> >   Tom -- do you remember a reason for choosing GPL for the debian/* works?
> >   Ideally we should stay with a license compatible with upstream, in this case
> >   BSD-3.  Would it be possible to change the license for your works, or am I
> >   missing the point here?
> I'm completely supportive of moving to BSD-3 for debian/*.

May be some people would start screaming at me for not being official
enough, but could you explicitly state this on behalf of Linaro as well,
so we could simply switch to BSD-3 for debian/ (as soon as Matthias
confirms as well).  Thanks in advance!

> >> Only open (lintian) issues:

> >> mike@sid:~/build$ lintian -IE --pedantic --show-overrides --color
> >> auto libjpeg-turbo_1.2.90-1_amd64.changes
> >> X: libturbojpeg1: shlib-calls-exit
> Yeah that looks like an issue. Worth a look into the current code.

> >> usr/lib/x86_64-linux-gnu/libturbojpeg.so.1.2.90
> >> X: libjpeg8-turbo: shlib-calls-exit usr/lib/x86_64-linux-gnu/libjpeg.so.8.0.2
> Same.

yeah -- needs some research... but I am not sure though if that is
anything we could address here -- I guess it is a legacy of libjpeg and
many other libraries:
http://lintian.debian.org/tags/shlib-calls-exit.html .  Since the
ultimate resolution would require API change (or am I missing smth?) --
everyone feels reluctant  to do anything about this.  our CC list is
already too extended for this matter -- I will reply separately CCing
libjpeg maintainers and possibly turbojpeg author to get feedback.
Please subscribe to this bugreport if you would like to follow the discussion.

-- 
Yaroslav O. Halchenko
http://neuro.debian.net http://www.pymvpa.org http://www.fail2ban.org
Senior Research Associate,     Psychological and Brain Sciences Dept.
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, mike.gabriel@das-netzwerkteam.de:
Bug#612341; Package wnpp. (Wed, 20 Mar 2013 16:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <yoh@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, mike.gabriel@das-netzwerkteam.de. (Wed, 20 Mar 2013 16:12:04 GMT) Full text and rfc822 format available.

Message #297 received at 612341@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <yoh@debian.org>
To: libjpeg8@packages.debian.org
Cc: 612341@bugs.debian.org, DRC <dcommander@users.sourceforge.net>
Subject: shlib-calls-exit in lib*jpeg*'s
Date: Wed, 20 Mar 2013 12:09:03 -0400
Dear maintainers,

In the course of packaging of turbojpeg library we ran into a lintian
warning on shlib-calls-exit in the dynamic libraries.  This is not
specific to turbojpeg and I guess is a legacy of libjpeg and many other
libraries: http://lintian.debian.org/tags/shlib-calls-exit.html
where correct resolution would require the API change, thus not
something to be done with a cruel Debian specific patch IMHO.

Could you please share you opinion on this issue, e.g.

a we have previously discussed it [url]
b it could be safely ignored since [xxx]
c we can do nothing about it, thus ignoring the lintian warning
...

thank you in advance for your feedback/time

-- 
Yaroslav O. Halchenko
http://neuro.debian.net http://www.pymvpa.org http://www.fail2ban.org
Senior Research Associate,     Psychological and Brain Sciences Dept.
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, mike.gabriel@das-netzwerkteam.de:
Bug#612341; Package wnpp. (Wed, 20 Mar 2013 17:00:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, mike.gabriel@das-netzwerkteam.de. (Wed, 20 Mar 2013 17:00:08 GMT) Full text and rfc822 format available.

Message #302 received at 612341@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@ubuntu.com>
To: Yaroslav Halchenko <yoh@debian.org>
Cc: Tom Gall <tom.gall@linaro.org>, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 612341@bugs.debian.org, Fathi Boudra <fabo@debian.org>, Bill Allombert <ballombe@debian.org>, Paul Tagliamonte <paultag@debian.org>
Subject: Re: could anyone summarize the status on libjpeg-turbo WNPPs? [question for Tom]
Date: Wed, 20 Mar 2013 09:56:16 -0700
Am 20.03.2013 08:59, schrieb Yaroslav Halchenko:
> 
> On Wed, 20 Mar 2013, Tom Gall wrote:
> 
>>>   then Matthias Klose <doko@ubuntu.com>  also contributed (no changes in
>>>   debian/copyright were done though)
>>>   and then there was
>>> +  * Drop outdated copyright notice for /debian folder and replace by
>>> +    GPL-2+ copyright entry in /debian/copyright.
>> Hm. News to me.
> 
> do not worry -- this will be fixed ;)
> 
>>>   Tom -- do you remember a reason for choosing GPL for the debian/* works?
>>>   Ideally we should stay with a license compatible with upstream, in this case
>>>   BSD-3.  Would it be possible to change the license for your works, or am I
>>>   missing the point here?
>> I'm completely supportive of moving to BSD-3 for debian/*.
> 
> May be some people would start screaming at me for not being official
> enough, but could you explicitly state this on behalf of Linaro as well,
> so we could simply switch to BSD-3 for debian/ (as soon as Matthias
> confirms as well).  Thanks in advance!

I'm fine with that. That would be Copyright (2011, 12?)Canonical Ltd.

  Matthias




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, mike.gabriel@das-netzwerkteam.de:
Bug#612341; Package wnpp. (Wed, 20 Mar 2013 17:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, mike.gabriel@das-netzwerkteam.de. (Wed, 20 Mar 2013 17:03:05 GMT) Full text and rfc822 format available.

Message #307 received at 612341@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Yaroslav Halchenko <yoh@debian.org>
Cc: 612341@bugs.debian.org
Subject: Re: shlib-calls-exit in lib*jpeg*'s
Date: Wed, 20 Mar 2013 18:01:56 +0100
On Wed, Mar 20, 2013 at 12:09:03PM -0400, Yaroslav Halchenko wrote:
> Dear maintainers,
> 
> In the course of packaging of turbojpeg library we ran into a lintian
> warning on shlib-calls-exit in the dynamic libraries.  This is not
> specific to turbojpeg and I guess is a legacy of libjpeg and many other
> libraries: http://lintian.debian.org/tags/shlib-calls-exit.html
> where correct resolution would require the API change, thus not
> something to be done with a cruel Debian specific patch IMHO.

Hello Yaroslav,

The rationale for this lintian test is ridiculous. 

If you look at the code of libjpeg, you will a single instance of call to exit
with a large comment explaining how the user can override it.
I a msure you can find it.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, mike.gabriel@das-netzwerkteam.de:
Bug#612341; Package wnpp. (Wed, 20 Mar 2013 17:48:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to DRC <dcommander@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, mike.gabriel@das-netzwerkteam.de. (Wed, 20 Mar 2013 17:48:08 GMT) Full text and rfc822 format available.

Message #312 received at 612341@bugs.debian.org (full text, mbox):

From: DRC <dcommander@users.sourceforge.net>
To: Yaroslav Halchenko <yoh@debian.org>
Cc: libjpeg8@packages.debian.org, 612341@bugs.debian.org
Subject: Re: shlib-calls-exit in lib*jpeg*'s
Date: Wed, 20 Mar 2013 12:45:26 -0500
exit() is called by error_exit() in jerror.c, which is part of the 
libjpeg source.  error_exit() is part of the standard error manager for 
libjpeg.  Applications do not have to use that error manager.  The 
TurboJPEG wrapper, specifically, uses its own custom error manager that 
will catch errors in the underlying libjpeg API and allow the TurboJPEG 
API functions to return an error code and set the TurboJPEG error string 
instead of exiting.

The lintian warning is meant to clue you in to possible unintentional 
consequences of calling exit() within an API function, but this behavior 
in libjpeg is intentional and is not default (an application has to 
specifically request it.)  Thus, you can ignore the warning.


On 3/20/13 11:09 AM, Yaroslav Halchenko wrote:
> Dear maintainers,
>
> In the course of packaging of turbojpeg library we ran into a lintian
> warning on shlib-calls-exit in the dynamic libraries.  This is not
> specific to turbojpeg and I guess is a legacy of libjpeg and many other
> libraries: http://lintian.debian.org/tags/shlib-calls-exit.html
> where correct resolution would require the API change, thus not
> something to be done with a cruel Debian specific patch IMHO.
>
> Could you please share you opinion on this issue, e.g.
>
> a we have previously discussed it [url]
> b it could be safely ignored since [xxx]
> c we can do nothing about it, thus ignoring the lintian warning
> ...
>
> thank you in advance for your feedback/time
>



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, mike.gabriel@das-netzwerkteam.de:
Bug#612341; Package wnpp. (Wed, 20 Mar 2013 18:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, mike.gabriel@das-netzwerkteam.de. (Wed, 20 Mar 2013 18:42:04 GMT) Full text and rfc822 format available.

Message #317 received at 612341@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
Cc: 612341@bugs.debian.org
Subject: Re: shlib-calls-exit in lib*jpeg*'s
Date: Wed, 20 Mar 2013 14:39:21 -0400
Hi Bill,

Thanks for the quick reply:

> The rationale for this lintian test is ridiculous. 

why?   to me it sounds like a sensible test.

> If you look at the code of libjpeg, you will a single instance of call to exit
> with a large comment explaining how the user can override it.
> I a msure you can find it.

;-) thank you for your trust!  I guess you meant the last one in the
listing below (since cdjpeg seems to be intended only for apps?)

what about jerror.c one?

novo:/tmp/libjpeg8-8d
$> grep -r -l 'exit(' . | xargs grep -L 'main' | grep -v -e depcomp -e jmemdosa.asm -e 'debian/' | xargs grep -B10 '^[^#].*exit *('
./cdjpeg.c-static j_common_ptr sig_cinfo;
./cdjpeg.c-
./cdjpeg.c-void             /* must be global for Manx C */
./cdjpeg.c-signal_catcher (int signum)
./cdjpeg.c-{
./cdjpeg.c-  if (sig_cinfo != NULL) {
./cdjpeg.c-    if (sig_cinfo->err != NULL) /* turn off trace output */
./cdjpeg.c-      sig_cinfo->err->trace_level = 0;
./cdjpeg.c-    jpeg_destroy(sig_cinfo); /* clean up memory allocation & temp files */
./cdjpeg.c-  }
./cdjpeg.c:  exit(EXIT_FAILURE);
--
./cdjpeg.c-read_stdin (void)
./cdjpeg.c-{
./cdjpeg.c-  FILE * input_file = stdin;
./cdjpeg.c-
./cdjpeg.c-#ifdef USE_SETMODE       /* need to hack file mode? */
./cdjpeg.c-  setmode(fileno(stdin), O_BINARY);
./cdjpeg.c-#endif
./cdjpeg.c-#ifdef USE_FDOPEN        /* need to re-open in binary mode? */
./cdjpeg.c-  if ((input_file = fdopen(fileno(stdin), READ_BINARY)) == NULL) {
./cdjpeg.c-    fprintf(stderr, "Cannot reopen stdin\n");
./cdjpeg.c:    exit(EXIT_FAILURE);
--
./cdjpeg.c-write_stdout (void)
./cdjpeg.c-{
./cdjpeg.c-  FILE * output_file = stdout;
./cdjpeg.c-
./cdjpeg.c-#ifdef USE_SETMODE       /* need to hack file mode? */
./cdjpeg.c-  setmode(fileno(stdout), O_BINARY);
./cdjpeg.c-#endif
./cdjpeg.c-#ifdef USE_FDOPEN        /* need to re-open in binary mode? */
./cdjpeg.c-  if ((output_file = fdopen(fileno(stdout), WRITE_BINARY)) == NULL) {
./cdjpeg.c-    fprintf(stderr, "Cannot reopen stdout\n");
./cdjpeg.c:    exit(EXIT_FAILURE);
--
./jerror.c- * an error.  Typically one would longjmp somewhere instead of exiting.
./jerror.c- * The setjmp buffer can be made a private field within an expanded error
./jerror.c- * handler object.  Note that the info needed to generate an error message
./jerror.c- * is stored in the error object, so you can generate the message now or
./jerror.c- * later, at your convenience.
./jerror.c- * You should make sure that the JPEG object is cleaned up (with jpeg_abort
./jerror.c- * or jpeg_destroy) at some point.
./jerror.c- */
./jerror.c-
./jerror.c-METHODDEF(void)
./jerror.c:error_exit (j_common_ptr cinfo)
./jerror.c-{
./jerror.c-  /* Always display the message */
./jerror.c-  (*cinfo->err->output_message) (cinfo);
./jerror.c-
./jerror.c-  /* Let the memory manager delete any temp files before we die */
./jerror.c-  jpeg_destroy(cinfo);
./jerror.c-
./jerror.c:  exit(EXIT_FAILURE);
--
./rdgif.c-#ifdef GIF_SUPPORTED
./rdgif.c-
./rdgif.c-/*
./rdgif.c- * The module selection routine for GIF format input.
./rdgif.c- */
./rdgif.c-
./rdgif.c-GLOBAL(cjpeg_source_ptr)
./rdgif.c-jinit_read_gif (j_compress_ptr cinfo)
./rdgif.c-{
./rdgif.c-  fprintf(stderr, "GIF input is unsupported for legal reasons.  Sorry.\n");
./rdgif.c:  exit(EXIT_FAILURE);



-- 
Yaroslav O. Halchenko
http://neuro.debian.net http://www.pymvpa.org http://www.fail2ban.org
Senior Research Associate,     Psychological and Brain Sciences Dept.
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, mike.gabriel@das-netzwerkteam.de:
Bug#612341; Package wnpp. (Wed, 20 Mar 2013 18:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, mike.gabriel@das-netzwerkteam.de. (Wed, 20 Mar 2013 18:45:08 GMT) Full text and rfc822 format available.

Message #322 received at 612341@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: DRC <dcommander@users.sourceforge.net>
Cc: libjpeg8@packages.debian.org, 612341@bugs.debian.org
Subject: Re: shlib-calls-exit in lib*jpeg*'s
Date: Wed, 20 Mar 2013 14:40:47 -0400
On Wed, 20 Mar 2013, DRC wrote:
> exit() is called by error_exit() in jerror.c, which is part of the
> libjpeg source.  error_exit() is part of the standard error manager
> for libjpeg.  Applications do not have to use that error manager.
> The TurboJPEG wrapper, specifically, uses its own custom error
> manager that will catch errors in the underlying libjpeg API and
> allow the TurboJPEG API functions to return an error code and set
> the TurboJPEG error string instead of exiting.

> The lintian warning is meant to clue you in to possible
> unintentional consequences of calling exit() within an API function,
> but this behavior in libjpeg is intentional and is not default (an
> application has to specifically request it.)  Thus, you can ignore
> the warning.

thank you for the details.  From this description it indeed sounds like
a good reason for a lintian override (probably in libjpeg8 as well)

-- 
Yaroslav O. Halchenko
http://neuro.debian.net http://www.pymvpa.org http://www.fail2ban.org
Senior Research Associate,     Psychological and Brain Sciences Dept.
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, mike.gabriel@das-netzwerkteam.de:
Bug#612341; Package wnpp. (Wed, 20 Mar 2013 18:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tom Gall <tom.gall@linaro.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, mike.gabriel@das-netzwerkteam.de. (Wed, 20 Mar 2013 18:57:04 GMT) Full text and rfc822 format available.

Message #327 received at 612341@bugs.debian.org (full text, mbox):

From: Tom Gall <tom.gall@linaro.org>
To: Yaroslav Halchenko <yoh@debian.org>
Cc: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 612341@bugs.debian.org, Fathi Boudra <fabo@debian.org>, Bill Allombert <ballombe@debian.org>, Paul Tagliamonte <paultag@debian.org>, Matthias Klose <doko@ubuntu.com>
Subject: Re: could anyone summarize the status on libjpeg-turbo WNPPs? [question for Tom]
Date: Wed, 20 Mar 2013 13:54:44 -0500
So officially speaking :-)

On Wed, Mar 20, 2013 at 10:59 AM, Yaroslav Halchenko <yoh@debian.org> wrote:
>
> On Wed, 20 Mar 2013, Tom Gall wrote:
>
>> >   then Matthias Klose <doko@ubuntu.com>  also contributed (no changes in
>> >   debian/copyright were done though)
>> >   and then there was
>> > +  * Drop outdated copyright notice for /debian folder and replace by
>> > +    GPL-2+ copyright entry in /debian/copyright.
>> Hm. News to me.
>
> do not worry -- this will be fixed ;)
>
>> >   Tom -- do you remember a reason for choosing GPL for the debian/* works?
>> >   Ideally we should stay with a license compatible with upstream, in this case
>> >   BSD-3.  Would it be possible to change the license for your works, or am I
>> >   missing the point here?
>> I'm completely supportive of moving to BSD-3 for debian/*.
>
> May be some people would start screaming at me for not being official
> enough, but could you explicitly state this on behalf of Linaro as well,
> so we could simply switch to BSD-3 for debian/ (as soon as Matthias
> confirms as well).  Thanks in advance!

Yes I agree, please change this to BSD-3, copyright 2011,2012 Linaro Inc

>> >> Only open (lintian) issues:

>> >> mike@sid:~/build$ lintian -IE --pedantic --show-overrides --color
>> >> auto libjpeg-turbo_1.2.90-1_amd64.changes
>> >> X: libturbojpeg1: shlib-calls-exit
>> Yeah that looks like an issue. Worth a look into the current code.
>
>> >> usr/lib/x86_64-linux-gnu/libturbojpeg.so.1.2.90
>> >> X: libjpeg8-turbo: shlib-calls-exit usr/lib/x86_64-linux-gnu/libjpeg.so.8.0.2
>> Same.
>
> yeah -- needs some research... but I am not sure though if that is
> anything we could address here -- I guess it is a legacy of libjpeg and
> many other libraries:
> http://lintian.debian.org/tags/shlib-calls-exit.html .  Since the
> ultimate resolution would require API change (or am I missing smth?) --
> everyone feels reluctant  to do anything about this.  our CC list is
> already too extended for this matter -- I will reply separately CCing
> libjpeg maintainers and possibly turbojpeg author to get feedback.
> Please subscribe to this bugreport if you would like to follow the discussion.

Yup already am. I see DRC has commented, his opinion is the one that counts.

> --
> Yaroslav O. Halchenko
> http://neuro.debian.net http://www.pymvpa.org http://www.fail2ban.org
> Senior Research Associate,     Psychological and Brain Sciences Dept.
> Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
> Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
> WWW:   http://www.linkedin.com/in/yarik



--
Regards,
Tom

"Where's the kaboom!? There was supposed to be an earth-shattering
kaboom!" Marvin Martian
Tech Lead, Graphics Working Group | Linaro.org │ Open source software
for ARM SoCs
w) tom.gall att linaro.org
h) tom_gall att mac.com



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, mike.gabriel@das-netzwerkteam.de:
Bug#612341; Package wnpp. (Wed, 20 Mar 2013 19:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <yoh@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, mike.gabriel@das-netzwerkteam.de. (Wed, 20 Mar 2013 19:27:04 GMT) Full text and rfc822 format available.

Message #332 received at 612341@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <yoh@debian.org>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 612341@bugs.debian.org, Fathi Boudra <fabo@debian.org>, Bill Allombert <ballombe@debian.org>, Paul Tagliamonte <paultag@debian.org>
Subject: Re: could anyone summarize the status on libjpeg-turbo WNPPs?
Date: Wed, 20 Mar 2013 15:26:24 -0400
On Sat, 16 Mar 2013, Mike Gabriel wrote:

> Hi Yaroslav,

> On Fr 01 Mär 2013 16:11:10 CET Yaroslav Halchenko wrote:

> >Hi Guys,

> >I wonder if anyone could give a concise summary stopping libjpeg-turbo
> >from being uploaded?  there seemed to be lots of work, clarifications
> >from upstream, downstream distributions including it,... and no
> >clarity why we do not have it in Debian yet (could simply be a lack of
> >time?).

> >Thank you in advance!

> I have experimented around with libjpeg-turbo.git on collab-maint recently.

> I have updated upstream to 1.2.90.

> By now the current version already looks quite promosing (I hope).
> The dpkg-divert stuff, I have remove. The current policy is:

>   o link native libjpeg-turbo code against libturbojpeg1
>     -> a package like TigerVNC or VirtualGL should use libturbojpeg1
>   o if the system admin chooses to replaced libjpeg8 by libjpeg8-turbo,
>     he/she may do so. Only then libjpeg8 is replaced (including all
>     consequences for all applications on the system)

I think Conflicts/Replaces should be cleaned-up for the libjpeg8-turbo

Package: libjpeg8-turbo
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libjpeg62, libjpeg7
Replaces: libjpeg62, libjpeg7, libjpeg8 (<< 9)
Provides: libjpeg8
Description: IJG JPEG compliant runtime library - SIMD optimized
 This library is based on libjpeg-turbo and not on the IJG JPEG.
 .
 This package provides the runtime library supporting the Independent JPEG 
 Group's standard for JPEG files.
 .
 WARNING: This package contains a shared library which is a drop in
 replacement for libjpeg8. Replacing the standard libjpeg6 library
 may have unexpected/unknown effects on certain applications.


atm it conflicts with libjpeg62 libjpeg7 but doesn't actually provide them,
thus resulting in need to remove a bulk of packages happen I decide to give
libjpeg8-turbo a shout as a replacement for libjpeg8.

So why there are those Conflicts: and Replaces for the lib package?

-- 
Yaroslav O. Halchenko
http://neuro.debian.net http://www.pymvpa.org http://www.fail2ban.org
Senior Research Associate,     Psychological and Brain Sciences Dept.
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, mike.gabriel@das-netzwerkteam.de:
Bug#612341; Package wnpp. (Wed, 20 Mar 2013 22:24:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, mike.gabriel@das-netzwerkteam.de. (Wed, 20 Mar 2013 22:24:08 GMT) Full text and rfc822 format available.

Message #337 received at 612341@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Yaroslav Halchenko <yoh@debian.org>
Cc: 612341@bugs.debian.org, Fathi Boudra <fabo@debian.org>, Bill Allombert <ballombe@debian.org>, Paul Tagliamonte <paultag@debian.org>
Subject: Re: could anyone summarize the status on libjpeg-turbo WNPPs?
Date: Wed, 20 Mar 2013 23:20:22 +0100
[Message part 1 (text/plain, inline)]
Hi Yaroslav,

On Mi 20 Mär 2013 20:26:24 CET Yaroslav Halchenko wrote:

>
> On Sat, 16 Mar 2013, Mike Gabriel wrote:
>
>> Hi Yaroslav,
>
>> On Fr 01 Mär 2013 16:11:10 CET Yaroslav Halchenko wrote:
>
>> >Hi Guys,
>
>> >I wonder if anyone could give a concise summary stopping libjpeg-turbo
>> >from being uploaded?  there seemed to be lots of work, clarifications
>> >from upstream, downstream distributions including it,... and no
>> >clarity why we do not have it in Debian yet (could simply be a lack of
>> >time?).
>
>> >Thank you in advance!
>
>> I have experimented around with libjpeg-turbo.git on collab-maint recently.
>
>> I have updated upstream to 1.2.90.
>
>> By now the current version already looks quite promosing (I hope).
>> The dpkg-divert stuff, I have remove. The current policy is:
>
>>   o link native libjpeg-turbo code against libturbojpeg1
>>     -> a package like TigerVNC or VirtualGL should use libturbojpeg1
>>   o if the system admin chooses to replaced libjpeg8 by libjpeg8-turbo,
>>     he/she may do so. Only then libjpeg8 is replaced (including all
>>     consequences for all applications on the system)
>
> I think Conflicts/Replaces should be cleaned-up for the libjpeg8-turbo
>
> Package: libjpeg8-turbo
> Architecture: any
> Multi-Arch: same
> Section: libs
> Pre-Depends: multiarch-support
> Depends: ${shlibs:Depends}, ${misc:Depends}
> Conflicts: libjpeg62, libjpeg7
> Replaces: libjpeg62, libjpeg7, libjpeg8 (<< 9)
> Provides: libjpeg8
> Description: IJG JPEG compliant runtime library - SIMD optimized
>  This library is based on libjpeg-turbo and not on the IJG JPEG.
>  .
>  This package provides the runtime library supporting the Independent JPEG
>  Group's standard for JPEG files.
>  .
>  WARNING: This package contains a shared library which is a drop in
>  replacement for libjpeg8. Replacing the standard libjpeg6 library
>  may have unexpected/unknown effects on certain applications.
>
>
> atm it conflicts with libjpeg62 libjpeg7 but doesn't actually provide them,
> thus resulting in need to remove a bulk of packages happen I decide to give
> libjpeg8-turbo a shout as a replacement for libjpeg8.
>
> So why there are those Conflicts: and Replaces for the lib package?

Agreement from here. I guess the different libjpegXX  
Conflicts:/Replaces: relates to the historical arising of the  
different compat levels available in libjpeg-turbo.

Also, the earlier package versions did not conflict+replace, they  
played around with dpkg-divert and allowed simultaneous installation  
of libjpeg8 and libjpeg8-turbo. Only with the last packaging efforts I  
changed it over to Conflicts:/Replaces:. So it might have been me, you  
did some unlean control file editing.

Greets,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, mike.gabriel@das-netzwerkteam.de:
Bug#612341; Package wnpp. (Fri, 22 Mar 2013 16:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, mike.gabriel@das-netzwerkteam.de. (Fri, 22 Mar 2013 16:24:04 GMT) Full text and rfc822 format available.

Message #342 received at 612341@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Yaroslav Halchenko <yoh@debian.org>
Cc: 612341@bugs.debian.org, Fathi Boudra <fabo@debian.org>, Bill Allombert <ballombe@debian.org>, Paul Tagliamonte <paultag@debian.org>, doko@debian.org
Subject: Re: could anyone summarize the status on libjpeg-turbo WNPPs?
Date: Fri, 22 Mar 2013 17:21:24 +0100
[Message part 1 (text/plain, inline)]
Hi Yaroslav, hi all,

On Mi 20 Mär 2013 20:26:24 CET Yaroslav Halchenko wrote:

> [...]

I have worked-in (hopefully!) all comments/requests dicussed during  
the last days into libjpeg-turbo.git on collab-maint.

I have also attempted to allow a smooth update of libjpeg-turbo  
bin:package in Ubuntu by this version.

As there have been quite some commits on libjpeg-turbo.git for that, I  
have attached the (shorter) all-over diff between now and the last  
time you looked at the Git project to this mail.

Request for more comments.

Also: shall we upload to unstable or to experimental?

Greets+thanks,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[libjpeg-turbo-diffupdate.patch (text/x-patch, attachment)]
[Message part 3 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, mike.gabriel@das-netzwerkteam.de:
Bug#612341; Package wnpp. (Fri, 22 Mar 2013 17:24:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, mike.gabriel@das-netzwerkteam.de. (Fri, 22 Mar 2013 17:24:12 GMT) Full text and rfc822 format available.

Message #347 received at 612341@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: Yaroslav Halchenko <yoh@debian.org>, 612341@bugs.debian.org, Fathi Boudra <fabo@debian.org>, Bill Allombert <ballombe@debian.org>, Paul Tagliamonte <paultag@debian.org>, doko@debian.org
Subject: Re: could anyone summarize the status on libjpeg-turbo WNPPs?
Date: Fri, 22 Mar 2013 10:19:14 -0700
Am 22.03.2013 09:21, schrieb Mike Gabriel:
> Hi Yaroslav, hi all,
> 
> On Mi 20 Mär 2013 20:26:24 CET Yaroslav Halchenko wrote:
> 
>> [...]
> 
> I have worked-in (hopefully!) all comments/requests dicussed during the
> last days into libjpeg-turbo.git on collab-maint.
> 
> I have also attempted to allow a smooth update of libjpeg-turbo bin:package
> in Ubuntu by this version.

what exactly is changed/needed?

I did see that libjpegturbo was renamed to libjpegturbo1. In the past upstream
did want to have an unversioned shared lib for legacy software. did that change?

  Matthias




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, mike.gabriel@das-netzwerkteam.de:
Bug#612341; Package wnpp. (Fri, 22 Mar 2013 17:24:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, mike.gabriel@das-netzwerkteam.de. (Fri, 22 Mar 2013 17:24:29 GMT) Full text and rfc822 format available.

Message #352 received at 612341@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Matthias Klose <doko@debian.org>
Cc: Yaroslav Halchenko <yoh@debian.org>, 612341@bugs.debian.org, Fathi Boudra <fabo@debian.org>, Bill Allombert <ballombe@debian.org>, Paul Tagliamonte <paultag@debian.org>
Subject: Re: could anyone summarize the status on libjpeg-turbo WNPPs?
Date: Fri, 22 Mar 2013 18:22:57 +0100
[Message part 1 (text/plain, inline)]
Hi Matthias,

On Fr 22 Mär 2013 18:19:14 CET Matthias Klose wrote:

> Am 22.03.2013 09:21, schrieb Mike Gabriel:
>> Hi Yaroslav, hi all,
>>
>> On Mi 20 Mär 2013 20:26:24 CET Yaroslav Halchenko wrote:
>>
>>> [...]
>>
>> I have worked-in (hopefully!) all comments/requests dicussed during the
>> last days into libjpeg-turbo.git on collab-maint.
>>
>> I have also attempted to allow a smooth update of libjpeg-turbo bin:package
>> in Ubuntu by this version.
>
> what exactly is changed/needed?
>
> I did see that libjpegturbo was renamed to libjpegturbo1. In the  
> past upstream
> did want to have an unversioned shared lib for legacy software. did  
> that change?

I have patched the versioning of the shared lib in for Debian [1], do  
think that is problematic?

Mike

[1]  
http://anonscm.debian.org/gitweb/?p=collab-maint/libjpeg-turbo.git;a=blob;f=debian/patches/001_versioned-libjpegturbo.patch

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, mike.gabriel@das-netzwerkteam.de:
Bug#612341; Package wnpp. (Fri, 22 Mar 2013 17:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, mike.gabriel@das-netzwerkteam.de. (Fri, 22 Mar 2013 17:30:04 GMT) Full text and rfc822 format available.

Message #357 received at 612341@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: Yaroslav Halchenko <yoh@debian.org>, 612341@bugs.debian.org, Fathi Boudra <fabo@debian.org>, Bill Allombert <ballombe@debian.org>, Paul Tagliamonte <paultag@debian.org>
Subject: Re: could anyone summarize the status on libjpeg-turbo WNPPs?
Date: Fri, 22 Mar 2013 10:26:31 -0700
Am 22.03.2013 10:22, schrieb Mike Gabriel:
> Hi Matthias,
> 
> On Fr 22 Mär 2013 18:19:14 CET Matthias Klose wrote:
> 
>> Am 22.03.2013 09:21, schrieb Mike Gabriel:
>>> Hi Yaroslav, hi all,
>>> 
>>> On Mi 20 Mär 2013 20:26:24 CET Yaroslav Halchenko wrote:
>>> 
>>>> [...]
>>> 
>>> I have worked-in (hopefully!) all comments/requests dicussed during
>>> the last days into libjpeg-turbo.git on collab-maint.
>>> 
>>> I have also attempted to allow a smooth update of libjpeg-turbo
>>> bin:package in Ubuntu by this version.
>> 
>> what exactly is changed/needed?
>> 
>> I did see that libjpegturbo was renamed to libjpegturbo1. In the past
>> upstream did want to have an unversioned shared lib for legacy software.
>> did that change?
> 
> I have patched the versioning of the shared lib in for Debian [1], do think
> that is problematic?

well, maybe Tom Gall can comment on this. For Ubuntu I didn't care that much
because the libjpegturbo package was kept in universe.

> 
> Mike
> 
> [1] 
> http://anonscm.debian.org/gitweb/?p=collab-maint/libjpeg-turbo.git;a=blob;f=debian/patches/001_versioned-libjpegturbo.patch
>
> 
> 




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, mike.gabriel@das-netzwerkteam.de:
Bug#612341; Package wnpp. (Sat, 23 Mar 2013 22:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, mike.gabriel@das-netzwerkteam.de. (Sat, 23 Mar 2013 22:24:04 GMT) Full text and rfc822 format available.

Message #362 received at 612341@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 612341@bugs.debian.org
Cc: Yaroslav Halchenko <yoh@debian.org>, Fathi Boudra <fabo@debian.org>, Bill Allombert <ballombe@debian.org>, Paul Tagliamonte <paultag@debian.org>, doko@debian.org
Subject: Re: Bug#612341: could anyone summarize the status on libjpeg-turbo WNPPs?
Date: Sat, 23 Mar 2013 23:21:00 +0100
[Message part 1 (text/plain, inline)]
Hi Yaroslav,

On Fr 22 Mär 2013 17:21:24 CET Mike Gabriel wrote:

> Hi Yaroslav, hi all,
>
> On Mi 20 Mär 2013 20:26:24 CET Yaroslav Halchenko wrote:
>
>> [...]
>
> I have worked-in (hopefully!) all comments/requests dicussed during   
> the last days into libjpeg-turbo.git on collab-maint.
>
> I have also attempted to allow a smooth update of libjpeg-turbo   
> bin:package in Ubuntu by this version.
>
> As there have been quite some commits on libjpeg-turbo.git for that,  
> I  have attached the (shorter) all-over diff between now and the  
> last  time you looked at the Git project to this mail.
>
> Request for more comments.
>
> Also: shall we upload to unstable or to experimental?
>
> Greets+thanks,
> Mike

Ok, then. I am through with libjpeg-turbo. I have re-added the  
dpkg-divert stuff and also found a conceptual problem with dpkg-divert  
and ldconfig that occurs in cases where the libjpeg.so.8.x.y in  
libjpeg8-turbo is older (lower in version) as the libjpeg.so.8.x.y in  
libjpeg8. As this is currently the situation in sid, this urgently had  
to be handled (see /debian/changelog).

Again, I have attached a diff with the latest changes to this mail.

Note: the dpkg-divert stuff does not appear in /debian/changelog as it  
already was present in earlier versions of the package.

Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[libjpeg-turbo-gitchanges.patch (text/x-patch, attachment)]
[Message part 3 (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 21 Apr 2013 20:06:04 GMT) Full text and rfc822 format available.

Added indication that bug 612341 blocks 673426 Request was from Vincent Cheng <vincentc1208@gmail.com> to control@bugs.debian.org. (Sun, 19 May 2013 22:30:08 GMT) Full text and rfc822 format available.

Reply sent to Mike Gabriel <sunweaver@debian.org>:
You have taken responsibility. (Fri, 31 May 2013 10:03:04 GMT) Full text and rfc822 format available.

Notification sent to Vagrant Cascadian <vagrant@debian.org>:
Bug acknowledged by developer. (Fri, 31 May 2013 10:03:05 GMT) Full text and rfc822 format available.

Message #371 received at 612341-close@bugs.debian.org (full text, mbox):

From: Mike Gabriel <sunweaver@debian.org>
To: 612341-close@bugs.debian.org
Subject: Bug#612341: fixed in libjpeg-turbo 1.2.90-1
Date: Fri, 31 May 2013 10:02:25 +0000
Source: libjpeg-turbo
Source-Version: 1.2.90-1

We believe that the bug you reported is fixed in the latest version of
libjpeg-turbo, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 612341@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mike Gabriel <sunweaver@debian.org> (supplier of updated libjpeg-turbo package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 24 Mar 2013 10:50:07 +0100
Source: libjpeg-turbo
Binary: libturbojpeg1 libturbojpeg1-dev libjpeg8-turbo libjpeg8-turbo-dev libjpeg8-turbo-dbg libjpeg-turbo-progs libjpeg-turbo-test
Architecture: source amd64
Version: 1.2.90-1
Distribution: sid
Urgency: low
Maintainer: Debian TigerVNC Packaging Team <pkg-tigervnc-devel@lists.alioth.debian.org>
Changed-By: Mike Gabriel <sunweaver@debian.org>
Description: 
 libjpeg-turbo-progs - Programs for manipulating JPEG files
 libjpeg-turbo-test - Program for testing libjpeg-turbo
 libjpeg8-turbo - IJG JPEG compliant runtime library - SIMD optimized
 libjpeg8-turbo-dbg - Debugging symbols for the libjpeg8-turbo library
 libjpeg8-turbo-dev - Development files for the IJG JPEG library
 libturbojpeg1 - TurboJPEG runtime library - SIMD optimized
 libturbojpeg1-dev - Development files for the turbo JPEG library
Closes: 612341
Changes: 
 libjpeg-turbo (1.2.90-1) unstable; urgency=low
 .
   [ Osamu Aoki ]
   * New upstream version. Closes: #612341
   * Merge package based on Ubuntu and Fathi Boudra.
 .
   [ Mike Gabriel ]
   * /debian/control:
     + Set maintainer to: Debian TigerVNC Packaging Team
       <pkg-tigervnc-devel@lists.alioth.debian.org>.
     + Raise Standards: version to 3.9.4 (after several changes, as described
       below).
     + Build-depend on debhelper (>= 9).
     + Fully re-arrange the bin:package naming scheme.
     + Hard-coded unversioned dependecy on libc6 for libjpeg-turbo-progs.
     + Hard-coded versioned dependency on libjpeg8-turbo for libjpeg-turbo-progs.
   * /debian/copyright:
     + License change for packaging files: BSD-3. Agreed upon by all copyright
       holders (see backlog of #612341).
     + Add TigerVNC Packaging Team to copyright holders of /debian/*.
     + Mention files in debian/extras/* separately in license file.
   * /debian/rules:
     + Change over to building libjpeg8-turbo (as opposed to libjpeg-turbo62
       in early versions of this src:package).
     + Enable unit tests during package build. Clean up test images during
       dh_auto_clean.
     + Provide a symlink (libjpeg.so.8.99.0) with libjpeg8-turbo that reliably
       (almost) always supersedes any IJG libjpeg.so.8.x.y version. This will
       trick SO_NAME symlinking of ldconfig in case the version of our
       libjpeg.so.8.x.y is lower than the version number of IJG's
       libjpeg.so.8.x.y (in the native libjpeg8 package).
     + Harden build of jpegexiforient in /debian/extra/.
   * /debian/patches:
     + Add patch: 001_versioned-libjpegturbo.patch. Adds versioned .so file
       support for libturbojpeg.so.
     + Add patch: 002_test-progs.patch. Install test programmes to debian/tmp/*.
   * Lintian overrides:
     + Add override for: libjpeg8-turbo: shlib-calls-exit
       usr/lib/x86_64-linux-gnu/libjpeg.so.8.0.2. Can be ignored as explained by
       upstream.
     + Add override for: libturbojpeg1: shlib-calls-exit
       usr/lib/x86_64-linux-gnu/libturbojpeg.so.1.2.90. Can be ignored as
       explained by upstream.
     + Add override for: libjpeg-turbo-test: binary-without-manpage
       usr/bin/tjunittest. No man page provided by upstream and only useful
       for package maintainers.
     + Add override for: libjpeg-turbo source: package-depends-on-hardcoded-libc
       libjpeg-turbo-progs depends. The generation of shlibs dependencies fail
       for bin:package libjpeg-turbo-progs. The result would be a versioned
       dependency on libjpeg8 (>= 8d) which is inappropriate for the
       libjpeg-turbo-progs package. The libjpeg-turbo-progs bin:package should be
       used with bin:package libjpeg8-turbo instead.
   * Dpkg diversions:
     + Rework all dpkg diversions, do not divert into subfolders anymore
     + Use dpkg-divert for libjpeg8-turbo-dev, as well (was: Conflicts:/Replaces:
       before).
Checksums-Sha1: 
 c6055faf32fc6fe11fc40272e00df04876d2f6ff 2452 libjpeg-turbo_1.2.90-1.dsc
 62dde4af23a5e55200eafd5ca521105e291f1508 1348523 libjpeg-turbo_1.2.90.orig.tar.gz
 0f1b235115d2774677153a570dbcc7f610af5ef0 16537 libjpeg-turbo_1.2.90-1.debian.tar.gz
 ce1804beb543250a590f7e4683a9ff53296ae884 227490 libturbojpeg1_1.2.90-1_amd64.deb
 fdb23eaed661e3591334f7614b26bee817ad3b37 179958 libturbojpeg1-dev_1.2.90-1_amd64.deb
 de02728f799fc003dd870415aadc75e83d99ffd7 132250 libjpeg8-turbo_1.2.90-1_amd64.deb
 dac473794ff8149b0c92836f09d13f94a18acffd 177854 libjpeg8-turbo-dev_1.2.90-1_amd64.deb
 2d86d0e8813c4064b4a8ce0fcdea13ea32cf551c 329054 libjpeg8-turbo-dbg_1.2.90-1_amd64.deb
 e2c1e6cf2d0bef34fcb2d50b29a8cb3929058f34 77674 libjpeg-turbo-progs_1.2.90-1_amd64.deb
 a85d9e536ae25206c0dac6814e0e5cadaa64965b 23120 libjpeg-turbo-test_1.2.90-1_amd64.deb
Checksums-Sha256: 
 22f551440cbd6e2a0831ba2d02e8280760493c3739cba67c7ab93862bb96632a 2452 libjpeg-turbo_1.2.90-1.dsc
 e42f3bdacaced1cbc3313ea33e0ec1f6e7247b9a15ca8faa532803f0b55756da 1348523 libjpeg-turbo_1.2.90.orig.tar.gz
 7b6217e51430ea9471308c32c94cc24604fadddfb0f08c88fc5ae2736f36ea6e 16537 libjpeg-turbo_1.2.90-1.debian.tar.gz
 75195e34bf8a5cd78eccb453db6f18fa20eb2a28faa31f8d2494ab77292f626f 227490 libturbojpeg1_1.2.90-1_amd64.deb
 0dd1b262f0188caf5bd1e0e46b2daec742d932919988ef9b9f6f4aff558174a7 179958 libturbojpeg1-dev_1.2.90-1_amd64.deb
 37b896366e68e7ecc3416735e6bc99cede420250f0229c38acd157cdb7da9ff3 132250 libjpeg8-turbo_1.2.90-1_amd64.deb
 2d475c57d2edad71b7bbc853756bd0de543e28b609e1404b39b11e58ad7c5ca1 177854 libjpeg8-turbo-dev_1.2.90-1_amd64.deb
 b265dac54f19d28792bc7fd25f226e64bb1ed9e0a11016aeb98aaf90a2aad59c 329054 libjpeg8-turbo-dbg_1.2.90-1_amd64.deb
 5c31b753a2833421514c8e63a13a50080a81de2bd285082209049597d1bbdf8c 77674 libjpeg-turbo-progs_1.2.90-1_amd64.deb
 1ea1a9e847366a6322da6d2c460bcee628a7440b5c08bdb20bf671fc0ffa6385 23120 libjpeg-turbo-test_1.2.90-1_amd64.deb
Files: 
 68cc3c5c7473a7ee56c57b8868221614 2452 graphics optional libjpeg-turbo_1.2.90-1.dsc
 ea53fc1e8a00c26e2f501385f887f1f6 1348523 graphics optional libjpeg-turbo_1.2.90.orig.tar.gz
 a2d70f2f720fc9d02d41bce11f9da610 16537 graphics optional libjpeg-turbo_1.2.90-1.debian.tar.gz
 1f390269a7a17135d7c73b1567c6edc1 227490 libs optional libturbojpeg1_1.2.90-1_amd64.deb
 e2b09f7657a9d756a7cf3496b4680086 179958 libdevel optional libturbojpeg1-dev_1.2.90-1_amd64.deb
 bab542eaa0a874ab4f73217e008d8d40 132250 libs optional libjpeg8-turbo_1.2.90-1_amd64.deb
 7d92e98edb90dee9695f4f58ec47bcf6 177854 libdevel optional libjpeg8-turbo-dev_1.2.90-1_amd64.deb
 2c5248bad0d3090b0fd7146d91e36291 329054 debug extra libjpeg8-turbo-dbg_1.2.90-1_amd64.deb
 84983a4608d84cb22425f1673992c4b7 77674 graphics optional libjpeg-turbo-progs_1.2.90-1_amd64.deb
 f889903bc5096dcbe3095a393aee844e 23120 debug extra libjpeg-turbo-test_1.2.90-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBAgAGBQJRTs23AAoJEJr0azAldxsx2bUQALBePsq9vdOIgMqP/C8srW52
6nQMP+62HGJ+9P8ZPloyGqfFKp2AHTZi/7i+5r9+LIjsJWDNNRNznVi0+P3M21vM
eEp2m4dhWvNRhYZXX2rZZTyaZTDm6ChK4fgi1qmEBYHaVaCGJJx6aCVg7+oLcdKA
HNvJE3Y9pRxYsA5gPKmYunFiQ5GdYb1FTgBCknB3O8SbLTJV1hVfA4qmBkwCWyF5
iMjSJSabrcMNS062zRI5m+M6u1j2bgaDsNDSO3/SitzuarSoKqO/f53SR08q8gBb
Cq2VYRw7kRkmfauk1/XLUdeXFoBvdRskUe/vMMjo5iM1lirYregA2ingG2/9GTTX
BlGXElPX07ddxRxtzV+m5zNbIQHh3WJzVJyd57hm57oI9DZ3NDBoqa/GpvoBP34U
TemoAe28KkC83W6xe2vYCDGc5JbJZ5b7cjlZeh1pAH05vtLfV2ILjux1+ysmLmtd
9AiVeXRzCJ40TbIv/EqROssRVhgoTJaJHcG5qSE5drs5TTFoRUU1rxMiBopqvPZ+
7qTXJCz4iYoZZ67uXtjTZZRDq7gt0myO8+DQzHgHD9uKeaY8J9z7XrCXuitHn+LU
gVep0nZBbvpgEsLfxhBjioW7RqyHXiQ+B8c+vUdfGcdA2HEsf25ONHQBbzwNcvmF
7OFc9VOsfq5G/Pp+XgVQ
=KdGP
-----END PGP SIGNATURE-----




Reply sent to Mike Gabriel <sunweaver@debian.org>:
You have taken responsibility. (Fri, 31 May 2013 10:03:05 GMT) Full text and rfc822 format available.

Notification sent to Laurent Bonnaud <Laurent.Bonnaud@inpg.fr>:
Bug acknowledged by developer. (Fri, 31 May 2013 10:03:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 29 Jun 2013 07:32:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:51:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.